ConnectionPropertiesImpl
Date: 2018-05-06

com.mysql.jdbc

## Class ConnectionPropertiesImpl

- java.lang.Object
- - com.mysql.jdbc.ConnectionPropertiesImpl

- All Implemented Interfaces:
    ConnectionProperties, java.io.Serializable
  Direct Known Subclasses:
    ConnectionImpl, DocsConnectionPropsHelper

      public class ConnectionPropertiesImpl
      extends java.lang.Object
      implements java.io.Serializable, ConnectionProperties

  Represents configurable properties for Connections and DataSources. Can also expose properties as JDBC DriverPropertyInfo if required as well.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `ConnectionPropertiesImpl.BooleanConnectionProperty`
    `(package private) static class` | `ConnectionPropertiesImpl.ConnectionProperty`
    `(package private) static class` | `ConnectionPropertiesImpl.IntegerConnectionProperty`
    `static class` | `ConnectionPropertiesImpl.LongConnectionProperty`
    `(package private) static class` | `ConnectionPropertiesImpl.MemorySizeConnectionProperty`
    `(package private) static class` | `ConnectionPropertiesImpl.StringConnectionProperty`
    `(package private) class` | `ConnectionPropertiesImpl.XmlMap`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `characterEncodingIsAliasForSjis`
    `protected ConnectionPropertiesImpl.MemorySizeConnectionProperty` | `largeRowSizeThreshold`
    `protected ConnectionPropertiesImpl.BooleanConnectionProperty` | `traceProtocol`
    `protected static java.lang.String` | `ZERO_DATETIME_BEHAVIOR_CONVERT_TO_NULL`
    `protected static java.lang.String` | `ZERO_DATETIME_BEHAVIOR_EXCEPTION`
    `protected static java.lang.String` | `ZERO_DATETIME_BEHAVIOR_ROUND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionPropertiesImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.sql.DriverPropertyInfo[]` | `exposeAsDriverPropertyInfo(java.util.Properties info, int slotsToReserve)` Exposes all ConnectionPropertyInfo instances as DriverPropertyInfo
    `protected java.sql.DriverPropertyInfo[]` | `exposeAsDriverPropertyInfoInternal(java.util.Properties info, int slotsToReserve)`
    `protected java.util.Properties` | `exposeAsProperties(java.util.Properties info)`
    `java.lang.String` | `exposeAsXml()` Returns a description of the connection properties as an XML document.
    `boolean` | `getAllowLoadLocalInfile()`
    `boolean` | `getAllowMasterDownConnections()`
    `boolean` | `getAllowMultiQueries()`
    `boolean` | `getAllowNanAndInf()`
    `boolean` | `getAllowPublicKeyRetrieval()`
    `boolean` | `getAllowSlaveDownConnections()`
    `boolean` | `getAllowUrlInLocalInfile()`
    `boolean` | `getAlwaysSendSetIsolation()`
    `java.lang.String` | `getAuthenticationPlugins()`
    `boolean` | `getAutoClosePStmtStreams()`
    `boolean` | `getAutoDeserialize()`
    `boolean` | `getAutoGenerateTestcaseScript()`
    `boolean` | `getAutoReconnectForPools()`
    `boolean` | `getAutoSlowLog()`
    `boolean` | `getBlobsAreStrings()`
    `int` | `getBlobSendChunkSize()`
    `boolean` | `getCacheCallableStatements()`
    `boolean` | `getCacheCallableStmts()`
    `boolean` | `getCacheDefaultTimezone()`
    `boolean` | `getCachePreparedStatements()`
    `boolean` | `getCachePrepStmts()`
    `boolean` | `getCacheResultSetMetadata()`
    `boolean` | `getCacheServerConfiguration()`
    `int` | `getCallableStatementCacheSize()`
    `int` | `getCallableStmtCacheSize()`
    `boolean` | `getCapitalizeTypeNames()`
    `java.lang.String` | `getCharacterSetResults()`
    `java.lang.String` | `getClientCertificateKeyStorePassword()`
    `java.lang.String` | `getClientCertificateKeyStoreType()`
    `java.lang.String` | `getClientCertificateKeyStoreUrl()`
    `java.lang.String` | `getClientInfoProvider()`
    `boolean` | `getClobberStreamingResults()`
    `java.lang.String` | `getClobCharacterEncoding()`
    `boolean` | `getCompensateOnDuplicateKeyUpdateCounts()`
    `java.lang.String` | `getConnectionAttributes()`
    `java.lang.String` | `getConnectionCollation()`
    `java.lang.String` | `getConnectionLifecycleInterceptors()`
    `int` | `getConnectTimeout()`
    `boolean` | `getContinueBatchOnError()`
    `boolean` | `getCreateDatabaseIfNotExist()`
    `java.lang.String` | `getDefaultAuthenticationPlugin()`
    `int` | `getDefaultFetchSize()`
    `boolean` | `getDetectCustomCollations()`
    `java.lang.String` | `getDisabledAuthenticationPlugins()`
    `boolean` | `getDisconnectOnExpiredPasswords()`
    `boolean` | `getDontCheckOnDuplicateKeyUpdateInSQL()`
    `boolean` | `getDontTrackOpenResources()`
    `boolean` | `getDumpMetadataOnColumnNotFound()`
    `boolean` | `getDumpQueriesOnException()`
    `boolean` | `getDynamicCalendars()`
    `boolean` | `getElideSetAutoCommits()`
    `boolean` | `getEmptyStringsConvertToZero()`
    `boolean` | `getEmulateLocators()`
    `boolean` | `getEmulateUnsupportedPstmts()`
    `java.lang.String` | `getEnabledSSLCipherSuites()`
    `boolean` | `getEnableEscapeProcessing()`
    `boolean` | `getEnablePacketDebug()`
    `boolean` | `getEnableQueryTimeouts()`
    `java.lang.String` | `getEncoding()`
    `ExceptionInterceptor` | `getExceptionInterceptor()`
    `java.lang.String` | `getExceptionInterceptors()`
    `boolean` | `getExplainSlowQueries()`
    `boolean` | `getFailOverReadOnly()`
    `boolean` | `getFunctionsNeverReturnBlobs()`
    `boolean` | `getGatherPerfMetrics()`
    `boolean` | `getGatherPerformanceMetrics()`
    `boolean` | `getGenerateSimpleParameterMetadata()`
    `boolean` | `getGetProceduresReturnsFunctions()`
    `protected boolean` | `getHighAvailability()`
    `boolean` | `getHoldResultsOpenOverStatementClose()`
    `boolean` | `getIgnoreNonTxTables()`
    `boolean` | `getIncludeInnodbStatusInDeadlockExceptions()`
    `boolean` | `getIncludeThreadDumpInDeadlockExceptions()`
    `boolean` | `getIncludeThreadNamesAsStatementComment()`
    `int` | `getInitialTimeout()`
    `boolean` | `getInteractiveClient()`
    `boolean` | `getIsInteractiveClient()`
    `boolean` | `getJdbcCompliantTruncation()`
    `boolean` | `getJdbcCompliantTruncationForReads()`
    `java.lang.String` | `getLargeRowSizeThreshold()`
    `java.lang.String` | `getLoadBalanceAutoCommitStatementRegex()`
    `int` | `getLoadBalanceAutoCommitStatementThreshold()`
    `int` | `getLoadBalanceBlacklistTimeout()`
    `java.lang.String` | `getLoadBalanceConnectionGroup()`
    `boolean` | `getLoadBalanceEnableJMX()`
    `java.lang.String` | `getLoadBalanceExceptionChecker()`
    `int` | `getLoadBalancePingTimeout()`
    `java.lang.String` | `getLoadBalanceSQLExceptionSubclassFailover()`
    `java.lang.String` | `getLoadBalanceSQLStateFailover()`
    `java.lang.String` | `getLoadBalanceStrategy()`
    `boolean` | `getLoadBalanceValidateConnectionOnSwapServer()`
    `java.lang.String` | `getLocalSocketAddress()`
    `int` | `getLocatorFetchBufferSize()`
    `java.lang.String` | `getLogger()`
    `java.lang.String` | `getLoggerClassName()`
    `boolean` | `getLogSlowQueries()`
    `boolean` | `getLogXaCommands()`
    `boolean` | `getMaintainTimeStats()`
    `int` | `getMaxAllowedPacket()`
    `int` | `getMaxQuerySizeToLog()`
    `int` | `getMaxReconnects()`
    `int` | `getMaxRows()`
    `int` | `getMetadataCacheSize()` Returns the number of queries that metadata can be cached if caching is enabled.
    `int` | `getNetTimeoutForStreamingResults()`
    `boolean` | `getNoAccessToProcedureBodies()`
    `boolean` | `getNoDatetimeStringSync()`
    `boolean` | `getNoTimezoneConversionForDateType()`
    `boolean` | `getNoTimezoneConversionForTimeType()`
    `boolean` | `getNullCatalogMeansCurrent()`
    `boolean` | `getNullNamePatternMatchesAll()`
    `boolean` | `getOverrideSupportsIntegrityEnhancementFacility()`
    `int` | `getPacketDebugBufferSize()`
    `boolean` | `getPadCharsWithSpace()`
    `boolean` | `getParanoid()`
    `java.lang.String` | `getParseInfoCacheFactory()`
    `java.lang.String` | `getPasswordCharacterEncoding()`
    `boolean` | `getPedantic()`
    `boolean` | `getPinGlobalTxToPhysicalConnection()`
    `boolean` | `getPopulateInsertRowWithDefaultValues()`
    `int` | `getPreparedStatementCacheSize()`
    `int` | `getPreparedStatementCacheSqlLimit()`
    `int` | `getPrepStmtCacheSize()`
    `int` | `getPrepStmtCacheSqlLimit()`
    `boolean` | `getProcessEscapeCodesForPrepStmts()`
    `java.lang.String` | `getProfilerEventHandler()`
    `boolean` | `getProfileSql()`
    `boolean` | `getProfileSQL()`
    `java.lang.String` | `getPropertiesTransform()`
    `int` | `getQueriesBeforeRetryMaster()`
    `boolean` | `getQueryTimeoutKillsConnection()`
    `boolean` | `getReadFromMasterWhenNoSlaves()`
    `boolean` | `getReadOnlyPropagatesToServer()`
    `boolean` | `getReconnectAtTxEnd()`
    `boolean` | `getRelaxAutoCommit()`
    `boolean` | `getReplicationEnableJMX()`
    `int` | `getReportMetricsIntervalMillis()`
    `boolean` | `getRequireSSL()`
    `java.lang.String` | `getResourceId()`
    `int` | `getResultSetSizeThreshold()`
    `boolean` | `getRetainStatementAfterResultSetClose()`
    `int` | `getRetriesAllDown()`
    `boolean` | `getRewriteBatchedStatements()`
    `boolean` | `getRollbackOnPooledClose()`
    `boolean` | `getRoundRobinLoadBalance()` Returns whether or not hosts will be picked in a round-robin fashion.
    `boolean` | `getRunningCTS13()`
    `int` | `getSecondsBeforeRetryMaster()`
    `int` | `getSelfDestructOnPingMaxOperations()`
    `int` | `getSelfDestructOnPingSecondsLifetime()`
    `boolean` | `getSendFractionalSeconds()`
    `java.lang.String` | `getServerConfigCacheFactory()`
    `java.lang.String` | `getServerRSAPublicKeyFile()`
    `java.lang.String` | `getServerTimezone()` Returns the 'serverTimezone' property.
    `java.lang.String` | `getSessionVariables()`
    `int` | `getSlowQueryThresholdMillis()`
    `long` | `getSlowQueryThresholdNanos()`
    `java.lang.String` | `getSocketFactory()`
    `java.lang.String` | `getSocketFactoryClassName()`
    `int` | `getSocketTimeout()`
    `java.lang.String` | `getSocksProxyHost()`
    `int` | `getSocksProxyPort()`
    `java.lang.String` | `getStatementInterceptors()`
    `boolean` | `getStrictFloatingPoint()`
    `boolean` | `getStrictUpdates()`
    `boolean` | `getTcpKeepAlive()`
    `boolean` | `getTcpNoDelay()`
    `int` | `getTcpRcvBuf()`
    `int` | `getTcpSndBuf()`
    `int` | `getTcpTrafficClass()`
    `boolean` | `getTinyInt1isBit()`
    `boolean` | `getTraceProtocol()`
    `boolean` | `getTransformedBitIsBoolean()`
    `boolean` | `getTreatUtilDateAsTimestamp()`
    `java.lang.String` | `getTrustCertificateKeyStorePassword()`
    `java.lang.String` | `getTrustCertificateKeyStoreType()`
    `java.lang.String` | `getTrustCertificateKeyStoreUrl()`
    `boolean` | `getUltraDevHack()`
    `boolean` | `getUseAffectedRows()`
    `boolean` | `getUseBlobToStoreUTF8OutsideBMP()`
    `boolean` | `getUseColumnNamesInFindColumn()`
    `boolean` | `getUseCompression()`
    `java.lang.String` | `getUseConfigs()`
    `boolean` | `getUseCursorFetch()`
    `boolean` | `getUseDirectRowUnpack()`
    `boolean` | `getUseDynamicCharsetInfo()`
    `boolean` | `getUseFastDateParsing()`
    `boolean` | `getUseFastIntParsing()`
    `boolean` | `getUseGmtMillisForDatetimes()`
    `boolean` | `getUseHostsInPrivileges()`
    `boolean` | `getUseInformationSchema()`
    `boolean` | `getUseJDBCCompliantTimezoneShift()`
    `boolean` | `getUseJvmCharsetConverters()`
    `boolean` | `getUseLegacyDatetimeCode()`
    `boolean` | `getUseLocalSessionState()`
    `boolean` | `getUseLocalTransactionState()`
    `boolean` | `getUseNanosForElapsedTime()`
    `boolean` | `getUseOldAliasMetadataBehavior()`
    `boolean` | `getUseOldUTF8Behavior()`
    `boolean` | `getUseOnlyServerErrorMessages()`
    `boolean` | `getUseReadAheadInput()`
    `boolean` | `getUseServerPreparedStmts()`
    `boolean` | `getUseServerPrepStmts()`
    `boolean` | `getUseSqlStateCodes()`
    `boolean` | `getUseSSL()`
    `boolean` | `getUseSSPSCompatibleTimezoneShift()`
    `boolean` | `getUseStreamLengthsInPrepStmts()`
    `boolean` | `getUseTimezone()`
    `boolean` | `getUseUltraDevWorkAround()`
    `boolean` | `getUseUnbufferedInput()`
    `boolean` | `getUseUnicode()`
    `boolean` | `getUseUsageAdvisor()` Returns whether or not the driver advises of proper usage.
    `java.lang.String` | `getUtf8OutsideBmpExcludedColumnNamePattern()`
    `java.lang.String` | `getUtf8OutsideBmpIncludedColumnNamePattern()`
    `boolean` | `getVerifyServerCertificate()`
    `boolean` | `getYearIsDateType()`
    `java.lang.String` | `getZeroDateTimeBehavior()`
    `protected void` | `initializeFromRef(javax.naming.Reference ref)` Initializes driver properties that come from a JNDI reference (in the case of a javax.sql.DataSource bound into some name service that doesn't handle Java objects directly).
    `protected void` | `initializeProperties(java.util.Properties info)` Initializes driver properties that come from URL or properties passed to the driver manager.
    `boolean` | `isUseSSLExplicit()` Was the value of useSSL set explicitly or just got from defaults.
    `protected void` | `postInitialization()`
    `void` | `setAllowLoadLocalInfile(boolean property)`
    `void` | `setAllowMasterDownConnections(boolean connectIfMasterDown)`
    `void` | `setAllowMultiQueries(boolean property)`
    `void` | `setAllowNanAndInf(boolean flag)`
    `void` | `setAllowPublicKeyRetrieval(boolean allowPublicKeyRetrieval)`
    `void` | `setAllowSlaveDownConnections(boolean connectIfSlaveDown)`
    `void` | `setAllowUrlInLocalInfile(boolean flag)`
    `void` | `setAlwaysSendSetIsolation(boolean flag)`
    `void` | `setAuthenticationPlugins(java.lang.String authenticationPlugins)`
    `void` | `setAutoClosePStmtStreams(boolean flag)`
    `void` | `setAutoDeserialize(boolean flag)`
    `void` | `setAutoGenerateTestcaseScript(boolean flag)`
    `void` | `setAutoReconnect(boolean flag)`
    `void` | `setAutoReconnectForConnectionPools(boolean property)`
    `void` | `setAutoReconnectForPools(boolean flag)`
    `void` | `setAutoSlowLog(boolean flag)`
    `void` | `setBlobsAreStrings(boolean flag)`
    `void` | `setBlobSendChunkSize(java.lang.String value)`
    `void` | `setCacheCallableStatements(boolean flag)`
    `void` | `setCacheCallableStmts(boolean flag)`
    `void` | `setCacheDefaultTimezone(boolean flag)`
    `void` | `setCachePreparedStatements(boolean flag)`
    `void` | `setCachePrepStmts(boolean flag)`
    `void` | `setCacheResultSetMetadata(boolean property)` Sets whether or not we should cache result set metadata.
    `void` | `setCacheServerConfiguration(boolean flag)`
    `void` | `setCallableStatementCacheSize(int size)` Configures the number of callable statements to cache.
    `void` | `setCallableStmtCacheSize(int cacheSize)`
    `void` | `setCapitalizeDBMDTypes(boolean property)`
    `void` | `setCapitalizeTypeNames(boolean flag)`
    `void` | `setCharacterEncoding(java.lang.String encoding)`
    `void` | `setCharacterSetResults(java.lang.String characterSet)`
    `void` | `setClientCertificateKeyStorePassword(java.lang.String value)`
    `void` | `setClientCertificateKeyStoreType(java.lang.String value)`
    `void` | `setClientCertificateKeyStoreUrl(java.lang.String value)`
    `void` | `setClientInfoProvider(java.lang.String classname)`
    `void` | `setClobberStreamingResults(boolean flag)`
    `void` | `setClobCharacterEncoding(java.lang.String encoding)`
    `void` | `setCompensateOnDuplicateKeyUpdateCounts(boolean flag)`
    `void` | `setConnectionAttributes(java.lang.String val)`
    `void` | `setConnectionCollation(java.lang.String collation)`
    `void` | `setConnectionLifecycleInterceptors(java.lang.String interceptors)`
    `void` | `setConnectTimeout(int timeoutMs)`
    `void` | `setContinueBatchOnError(boolean property)`
    `void` | `setCreateDatabaseIfNotExist(boolean flag)`
    `void` | `setDefaultAuthenticationPlugin(java.lang.String defaultAuthenticationPlugin)`
    `void` | `setDefaultFetchSize(int n)`
    `void` | `setDetectCustomCollations(boolean detectCustomCollations)`
    `void` | `setDetectServerPreparedStmts(boolean property)`
    `void` | `setDisabledAuthenticationPlugins(java.lang.String disabledAuthenticationPlugins)`
    `void` | `setDisconnectOnExpiredPasswords(boolean disconnectOnExpiredPasswords)`
    `void` | `setDontCheckOnDuplicateKeyUpdateInSQL(boolean dontCheckOnDuplicateKeyUpdateInSQL)`
    `void` | `setDontTrackOpenResources(boolean flag)`
    `void` | `setDumpMetadataOnColumnNotFound(boolean flag)`
    `void` | `setDumpQueriesOnException(boolean flag)`
    `void` | `setDynamicCalendars(boolean flag)`
    `void` | `setElideSetAutoCommits(boolean flag)`
    `void` | `setEmptyStringsConvertToZero(boolean flag)`
    `void` | `setEmulateLocators(boolean property)`
    `void` | `setEmulateUnsupportedPstmts(boolean flag)`
    `void` | `setEnabledSSLCipherSuites(java.lang.String cipherSuites)`
    `void` | `setEnableEscapeProcessing(boolean flag)`
    `void` | `setEnablePacketDebug(boolean flag)`
    `void` | `setEnableQueryTimeouts(boolean flag)`
    `void` | `setEncoding(java.lang.String property)`
    `void` | `setExceptionInterceptors(java.lang.String exceptionInterceptors)`
    `void` | `setExplainSlowQueries(boolean flag)`
    `void` | `setFailOverReadOnly(boolean flag)`
    `void` | `setFunctionsNeverReturnBlobs(boolean flag)`
    `void` | `setGatherPerfMetrics(boolean flag)`
    `void` | `setGatherPerformanceMetrics(boolean flag)`
    `void` | `setGenerateSimpleParameterMetadata(boolean flag)`
    `void` | `setGetProceduresReturnsFunctions(boolean getProcedureReturnsFunctions)`
    `protected void` | `setHighAvailability(boolean property)`
    `void` | `setHoldResultsOpenOverStatementClose(boolean flag)`
    `void` | `setIgnoreNonTxTables(boolean property)`
    `void` | `setIncludeInnodbStatusInDeadlockExceptions(boolean flag)`
    `void` | `setIncludeThreadDumpInDeadlockExceptions(boolean flag)`
    `void` | `setIncludeThreadNamesAsStatementComment(boolean flag)`
    `void` | `setInitialTimeout(int property)`
    `void` | `setInteractiveClient(boolean property)`
    `void` | `setIsInteractiveClient(boolean property)`
    `void` | `setJdbcCompliantTruncation(boolean flag)`
    `void` | `setJdbcCompliantTruncationForReads(boolean jdbcCompliantTruncationForReads)`
    `void` | `setLargeRowSizeThreshold(java.lang.String value)`
    `void` | `setLoadBalanceAutoCommitStatementRegex(java.lang.String loadBalanceAutoCommitStatementRegex)`
    `void` | `setLoadBalanceAutoCommitStatementThreshold(int loadBalanceAutoCommitStatementThreshold)`
    `void` | `setLoadBalanceBlacklistTimeout(int loadBalanceBlacklistTimeout)`
    `void` | `setLoadBalanceConnectionGroup(java.lang.String loadBalanceConnectionGroup)`
    `void` | `setLoadBalanceEnableJMX(boolean loadBalanceEnableJMX)`
    `void` | `setLoadBalanceExceptionChecker(java.lang.String loadBalanceExceptionChecker)`
    `void` | `setLoadBalancePingTimeout(int loadBalancePingTimeout)`
    `void` | `setLoadBalanceSQLExceptionSubclassFailover(java.lang.String loadBalanceSQLExceptionSubclassFailover)`
    `void` | `setLoadBalanceSQLStateFailover(java.lang.String loadBalanceSQLStateFailover)`
    `void` | `setLoadBalanceStrategy(java.lang.String strategy)`
    `void` | `setLoadBalanceValidateConnectionOnSwapServer(boolean loadBalanceValidateConnectionOnSwapServer)`
    `void` | `setLocalSocketAddress(java.lang.String address)`
    `void` | `setLocatorFetchBufferSize(java.lang.String value)`
    `void` | `setLogger(java.lang.String property)`
    `void` | `setLoggerClassName(java.lang.String className)`
    `void` | `setLogSlowQueries(boolean flag)`
    `void` | `setLogXaCommands(boolean flag)`
    `void` | `setMaintainTimeStats(boolean flag)`
    `void` | `setMaxAllowedPacket(int max)`
    `void` | `setMaxQuerySizeToLog(int sizeInBytes)`
    `void` | `setMaxReconnects(int property)`
    `void` | `setMaxRows(int property)`
    `void` | `setMetadataCacheSize(int value)` Sets the number of queries that metadata can be cached if caching is enabled.
    `void` | `setNetTimeoutForStreamingResults(int value)`
    `void` | `setNoAccessToProcedureBodies(boolean flag)`
    `void` | `setNoDatetimeStringSync(boolean flag)`
    `void` | `setNoTimezoneConversionForDateType(boolean flag)`
    `void` | `setNoTimezoneConversionForTimeType(boolean flag)`
    `void` | `setNullCatalogMeansCurrent(boolean value)`
    `void` | `setNullNamePatternMatchesAll(boolean value)`
    `void` | `setOverrideSupportsIntegrityEnhancementFacility(boolean flag)`
    `void` | `setPacketDebugBufferSize(int size)`
    `void` | `setPadCharsWithSpace(boolean flag)`
    `void` | `setParanoid(boolean property)`
    `void` | `setParseInfoCacheFactory(java.lang.String factoryClassname)`
    `void` | `setPasswordCharacterEncoding(java.lang.String characterSet)`
    `void` | `setPedantic(boolean property)`
    `void` | `setPinGlobalTxToPhysicalConnection(boolean flag)`
    `void` | `setPopulateInsertRowWithDefaultValues(boolean flag)`
    `void` | `setPreparedStatementCacheSize(int cacheSize)`
    `void` | `setPreparedStatementCacheSqlLimit(int cacheSqlLimit)`
    `void` | `setPrepStmtCacheSize(int cacheSize)`
    `void` | `setPrepStmtCacheSqlLimit(int sqlLimit)`
    `void` | `setProcessEscapeCodesForPrepStmts(boolean flag)`
    `void` | `setProfilerEventHandler(java.lang.String handler)`
    `void` | `setProfileSql(boolean property)`
    `void` | `setProfileSQL(boolean flag)`
    `void` | `setPropertiesTransform(java.lang.String value)`
    `void` | `setQueriesBeforeRetryMaster(int property)`
    `void` | `setQueryTimeoutKillsConnection(boolean queryTimeoutKillsConnection)`
    `void` | `setReadFromMasterWhenNoSlaves(boolean useMasterIfSlavesDown)`
    `void` | `setReadOnlyPropagatesToServer(boolean flag)`
    `void` | `setReconnectAtTxEnd(boolean property)`
    `void` | `setRelaxAutoCommit(boolean property)`
    `void` | `setReplicationEnableJMX(boolean replicationEnableJMX)`
    `void` | `setReportMetricsIntervalMillis(int millis)`
    `void` | `setRequireSSL(boolean property)`
    `void` | `setResourceId(java.lang.String resourceId)`
    `void` | `setResultSetSizeThreshold(int threshold)`
    `void` | `setRetainStatementAfterResultSetClose(boolean flag)`
    `void` | `setRetriesAllDown(int retriesAllDown)`
    `void` | `setRewriteBatchedStatements(boolean flag)`
    `void` | `setRollbackOnPooledClose(boolean flag)`
    `void` | `setRoundRobinLoadBalance(boolean flag)` Sets whether or not hosts will be picked in a round-robin fashion.
    `void` | `setRunningCTS13(boolean flag)`
    `void` | `setSecondsBeforeRetryMaster(int property)`
    `void` | `setSelfDestructOnPingMaxOperations(int maxOperations)`
    `void` | `setSelfDestructOnPingSecondsLifetime(int seconds)`
    `void` | `setSendFractionalSeconds(boolean flag)`
    `void` | `setServerConfigCacheFactory(java.lang.String factoryClassname)`
    `void` | `setServerRSAPublicKeyFile(java.lang.String serverRSAPublicKeyFile)`
    `void` | `setServerTimezone(java.lang.String property)`
    `void` | `setSessionVariables(java.lang.String variables)`
    `void` | `setSlowQueryThresholdMillis(int millis)`
    `void` | `setSlowQueryThresholdNanos(long nanos)`
    `void` | `setSocketFactory(java.lang.String name)`
    `void` | `setSocketFactoryClassName(java.lang.String property)`
    `void` | `setSocketTimeout(int property)`
    `void` | `setSocksProxyHost(java.lang.String socksProxyHost)`
    `void` | `setSocksProxyPort(int socksProxyPort)`
    `void` | `setStatementInterceptors(java.lang.String value)`
    `void` | `setStrictFloatingPoint(boolean property)`
    `void` | `setStrictUpdates(boolean property)`
    `void` | `setTcpKeepAlive(boolean flag)`
    `void` | `setTcpNoDelay(boolean flag)`
    `void` | `setTcpRcvBuf(int bufSize)`
    `void` | `setTcpSndBuf(int bufSize)`
    `void` | `setTcpTrafficClass(int classFlags)`
    `void` | `setTinyInt1isBit(boolean flag)`
    `void` | `setTraceProtocol(boolean flag)`
    `void` | `setTransformedBitIsBoolean(boolean flag)`
    `void` | `setTreatUtilDateAsTimestamp(boolean flag)`
    `void` | `setTrustCertificateKeyStorePassword(java.lang.String value)`
    `void` | `setTrustCertificateKeyStoreType(java.lang.String value)`
    `void` | `setTrustCertificateKeyStoreUrl(java.lang.String value)`
    `void` | `setUltraDevHack(boolean flag)`
    `void` | `setUseAffectedRows(boolean flag)`
    `void` | `setUseBlobToStoreUTF8OutsideBMP(boolean flag)`
    `void` | `setUseColumnNamesInFindColumn(boolean flag)`
    `void` | `setUseCompression(boolean property)`
    `void` | `setUseConfigs(java.lang.String configs)`
    `void` | `setUseCursorFetch(boolean flag)`
    `void` | `setUseDirectRowUnpack(boolean flag)`
    `void` | `setUseDynamicCharsetInfo(boolean flag)`
    `void` | `setUseFastDateParsing(boolean flag)`
    `void` | `setUseFastIntParsing(boolean flag)`
    `void` | `setUseGmtMillisForDatetimes(boolean flag)`
    `void` | `setUseHostsInPrivileges(boolean property)`
    `void` | `setUseInformationSchema(boolean flag)`
    `void` | `setUseJDBCCompliantTimezoneShift(boolean flag)`
    `void` | `setUseJvmCharsetConverters(boolean flag)`
    `void` | `setUseLegacyDatetimeCode(boolean flag)`
    `void` | `setUseLocalSessionState(boolean flag)`
    `void` | `setUseLocalTransactionState(boolean flag)`
    `void` | `setUseNanosForElapsedTime(boolean flag)`
    `void` | `setUseOldAliasMetadataBehavior(boolean flag)`
    `void` | `setUseOldUTF8Behavior(boolean flag)`
    `void` | `setUseOnlyServerErrorMessages(boolean flag)`
    `void` | `setUseReadAheadInput(boolean flag)`
    `void` | `setUseServerPreparedStmts(boolean flag)`
    `void` | `setUseServerPrepStmts(boolean flag)`
    `void` | `setUseSqlStateCodes(boolean flag)`
    `void` | `setUseSSL(boolean property)`
    `void` | `setUseSSPSCompatibleTimezoneShift(boolean flag)`
    `void` | `setUseStreamLengthsInPrepStmts(boolean property)`
    `void` | `setUseTimezone(boolean property)`
    `void` | `setUseUltraDevWorkAround(boolean property)`
    `void` | `setUseUnbufferedInput(boolean flag)`
    `void` | `setUseUnicode(boolean flag)`
    `void` | `setUseUsageAdvisor(boolean useUsageAdvisorFlag)` Sets whether or not the driver advises of proper usage.
    `void` | `setUtf8OutsideBmpExcludedColumnNamePattern(java.lang.String regexPattern)`
    `void` | `setUtf8OutsideBmpIncludedColumnNamePattern(java.lang.String regexPattern)`
    `void` | `setVerifyServerCertificate(boolean flag)`
    `void` | `setYearIsDateType(boolean flag)`
    `void` | `setZeroDateTimeBehavior(java.lang.String behavior)`
    `protected void` | `storeToRef(javax.naming.Reference ref)`
    `boolean` | `useUnbufferedInput()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ZERO_DATETIME_BEHAVIOR_CONVERT_TO_NULL

          protected static final java.lang.String ZERO_DATETIME_BEHAVIOR_CONVERT_TO_NULL

      See Also:
        Constant Field Values

    - #### ZERO_DATETIME_BEHAVIOR_EXCEPTION

          protected static final java.lang.String ZERO_DATETIME_BEHAVIOR_EXCEPTION

      See Also:
        Constant Field Values

    - #### ZERO_DATETIME_BEHAVIOR_ROUND

          protected static final java.lang.String ZERO_DATETIME_BEHAVIOR_ROUND

      See Also:
        Constant Field Values

    - #### characterEncodingIsAliasForSjis

          protected boolean characterEncodingIsAliasForSjis

    - #### largeRowSizeThreshold

          protected ConnectionPropertiesImpl.MemorySizeConnectionProperty largeRowSizeThreshold

    - #### traceProtocol

          protected ConnectionPropertiesImpl.BooleanConnectionProperty traceProtocol

  - ### Constructor Detail

    - #### ConnectionPropertiesImpl

          public ConnectionPropertiesImpl()

  - ### Method Detail

    - #### getExceptionInterceptor

          public ExceptionInterceptor getExceptionInterceptor()

      Specified by:
        `getExceptionInterceptor` in interface `ConnectionProperties`

    - #### exposeAsDriverPropertyInfo

          protected static java.sql.DriverPropertyInfo[] exposeAsDriverPropertyInfo(java.util.Properties info,
                                                                 int slotsToReserve)
                                                                             throws java.sql.SQLException

      Exposes all ConnectionPropertyInfo instances as DriverPropertyInfo
      Parameters:
        `info` - the properties to load into these ConnectionPropertyInfo instances
        `slotsToReserve` - the number of DPI slots to reserve for 'standard' DPI properties (user, host, password, etc)
      Returns:
        a list of all ConnectionPropertyInfo instances, as DriverPropertyInfo
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### exposeAsDriverPropertyInfoInternal

          protected java.sql.DriverPropertyInfo[] exposeAsDriverPropertyInfoInternal(java.util.Properties info,
                                                                         int slotsToReserve)
                                                                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### exposeAsProperties

          protected java.util.Properties exposeAsProperties(java.util.Properties info)
                                                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### exposeAsXml

          public java.lang.String exposeAsXml()
                                       throws java.sql.SQLException

      Description copied from interface: `ConnectionProperties`
      Returns a description of the connection properties as an XML document.
      Specified by:
        `exposeAsXml` in interface `ConnectionProperties`
      Returns:
        the connection properties as an XML document.
      Throws:
        `java.sql.SQLException` - if an error occurs.

    - #### getAllowLoadLocalInfile

          public boolean getAllowLoadLocalInfile()

      Specified by:
        `getAllowLoadLocalInfile` in interface `ConnectionProperties`

    - #### getAllowMultiQueries

          public boolean getAllowMultiQueries()

      Specified by:
        `getAllowMultiQueries` in interface `ConnectionProperties`

    - #### getAllowNanAndInf

          public boolean getAllowNanAndInf()

      Specified by:
        `getAllowNanAndInf` in interface `ConnectionProperties`
      Returns:
        Returns the allowNanAndInf.

    - #### getAllowUrlInLocalInfile

          public boolean getAllowUrlInLocalInfile()

      Specified by:
        `getAllowUrlInLocalInfile` in interface `ConnectionProperties`
      Returns:
        Returns the allowUrlInLocalInfile.

    - #### getAlwaysSendSetIsolation

          public boolean getAlwaysSendSetIsolation()

      Specified by:
        `getAlwaysSendSetIsolation` in interface `ConnectionProperties`
      Returns:
        Returns the alwaysSendSetIsolation.

    - #### getAutoDeserialize

          public boolean getAutoDeserialize()

      Specified by:
        `getAutoDeserialize` in interface `ConnectionProperties`
      Returns:
        Returns the autoDeserialize.

    - #### getAutoGenerateTestcaseScript

          public boolean getAutoGenerateTestcaseScript()

      Specified by:
        `getAutoGenerateTestcaseScript` in interface `ConnectionProperties`

    - #### getAutoReconnectForPools

          public boolean getAutoReconnectForPools()

      Specified by:
        `getAutoReconnectForPools` in interface `ConnectionProperties`

    - #### getBlobSendChunkSize

          public int getBlobSendChunkSize()

      Specified by:
        `getBlobSendChunkSize` in interface `ConnectionProperties`
      Returns:
        Returns the blobSendChunkSize.

    - #### getCacheCallableStatements

          public boolean getCacheCallableStatements()

      Specified by:
        `getCacheCallableStatements` in interface `ConnectionProperties`
      Returns:
        Returns if cacheCallableStatements is enabled

    - #### getCachePreparedStatements

          public boolean getCachePreparedStatements()

      Specified by:
        `getCachePreparedStatements` in interface `ConnectionProperties`
      Returns:
        Returns the cachePreparedStatements.

    - #### getCacheResultSetMetadata

          public boolean getCacheResultSetMetadata()

      Specified by:
        `getCacheResultSetMetadata` in interface `ConnectionProperties`

    - #### getCacheServerConfiguration

          public boolean getCacheServerConfiguration()

      Specified by:
        `getCacheServerConfiguration` in interface `ConnectionProperties`
      Returns:
        Returns the cacheServerConfiguration.

    - #### getCallableStatementCacheSize

          public int getCallableStatementCacheSize()

      Specified by:
        `getCallableStatementCacheSize` in interface `ConnectionProperties`
      Returns:
        Returns the callableStatementCacheSize.

    - #### getCapitalizeTypeNames

          public boolean getCapitalizeTypeNames()

      Specified by:
        `getCapitalizeTypeNames` in interface `ConnectionProperties`

    - #### getCharacterSetResults

          public java.lang.String getCharacterSetResults()

      Specified by:
        `getCharacterSetResults` in interface `ConnectionProperties`
      Returns:
        Returns the characterSetResults.

    - #### getConnectionAttributes

          public java.lang.String getConnectionAttributes()

      Specified by:
        `getConnectionAttributes` in interface `ConnectionProperties`

    - #### setConnectionAttributes

          public void setConnectionAttributes(java.lang.String val)

    - #### getClobberStreamingResults

          public boolean getClobberStreamingResults()

      Specified by:
        `getClobberStreamingResults` in interface `ConnectionProperties`
      Returns:
        Returns the clobberStreamingResults.

    - #### getClobCharacterEncoding

          public java.lang.String getClobCharacterEncoding()

      Specified by:
        `getClobCharacterEncoding` in interface `ConnectionProperties`

    - #### getConnectionCollation

          public java.lang.String getConnectionCollation()

      Specified by:
        `getConnectionCollation` in interface `ConnectionProperties`
      Returns:
        Returns the connectionCollation.

    - #### getConnectTimeout

          public int getConnectTimeout()

      Specified by:
        `getConnectTimeout` in interface `ConnectionProperties`

    - #### getContinueBatchOnError

          public boolean getContinueBatchOnError()

      Specified by:
        `getContinueBatchOnError` in interface `ConnectionProperties`

    - #### getCreateDatabaseIfNotExist

          public boolean getCreateDatabaseIfNotExist()

      Specified by:
        `getCreateDatabaseIfNotExist` in interface `ConnectionProperties`

    - #### getDefaultFetchSize

          public int getDefaultFetchSize()

      Specified by:
        `getDefaultFetchSize` in interface `ConnectionProperties`

    - #### getDontTrackOpenResources

          public boolean getDontTrackOpenResources()

      Specified by:
        `getDontTrackOpenResources` in interface `ConnectionProperties`
      Returns:
        Returns the dontTrackOpenResources.

    - #### getDumpQueriesOnException

          public boolean getDumpQueriesOnException()

      Specified by:
        `getDumpQueriesOnException` in interface `ConnectionProperties`
      Returns:
        Returns the dumpQueriesOnException.

    - #### getDynamicCalendars

          public boolean getDynamicCalendars()

      Specified by:
        `getDynamicCalendars` in interface `ConnectionProperties`
      Returns:
        Returns the dynamicCalendars.

    - #### getElideSetAutoCommits

          public boolean getElideSetAutoCommits()

      Specified by:
        `getElideSetAutoCommits` in interface `ConnectionProperties`
      Returns:
        Returns the elideSetAutoCommits.

    - #### getEmptyStringsConvertToZero

          public boolean getEmptyStringsConvertToZero()

      Specified by:
        `getEmptyStringsConvertToZero` in interface `ConnectionProperties`

    - #### getEmulateLocators

          public boolean getEmulateLocators()

      Specified by:
        `getEmulateLocators` in interface `ConnectionProperties`

    - #### getEmulateUnsupportedPstmts

          public boolean getEmulateUnsupportedPstmts()

      Specified by:
        `getEmulateUnsupportedPstmts` in interface `ConnectionProperties`
      Returns:
        Returns the emulateUnsupportedPstmts.

    - #### getEnablePacketDebug

          public boolean getEnablePacketDebug()

      Specified by:
        `getEnablePacketDebug` in interface `ConnectionProperties`
      Returns:
        Returns the enablePacketDebug.

    - #### getEncoding

          public java.lang.String getEncoding()

      Specified by:
        `getEncoding` in interface `ConnectionProperties`

    - #### getExplainSlowQueries

          public boolean getExplainSlowQueries()

      Specified by:
        `getExplainSlowQueries` in interface `ConnectionProperties`
      Returns:
        Returns the explainSlowQueries.

    - #### getFailOverReadOnly

          public boolean getFailOverReadOnly()

      Specified by:
        `getFailOverReadOnly` in interface `ConnectionProperties`
      Returns:
        Returns the failOverReadOnly.

    - #### getGatherPerformanceMetrics

          public boolean getGatherPerformanceMetrics()

      Specified by:
        `getGatherPerformanceMetrics` in interface `ConnectionProperties`
      Returns:
        Returns the gatherPerformanceMetrics.

    - #### getHighAvailability

          protected boolean getHighAvailability()

    - #### getHoldResultsOpenOverStatementClose

          public boolean getHoldResultsOpenOverStatementClose()

      Specified by:
        `getHoldResultsOpenOverStatementClose` in interface `ConnectionProperties`
      Returns:
        Returns the holdResultsOpenOverStatementClose.

    - #### getIgnoreNonTxTables

          public boolean getIgnoreNonTxTables()

      Specified by:
        `getIgnoreNonTxTables` in interface `ConnectionProperties`

    - #### getInitialTimeout

          public int getInitialTimeout()

      Specified by:
        `getInitialTimeout` in interface `ConnectionProperties`

    - #### getInteractiveClient

          public boolean getInteractiveClient()

      Specified by:
        `getInteractiveClient` in interface `ConnectionProperties`

    - #### getIsInteractiveClient

          public boolean getIsInteractiveClient()

      Specified by:
        `getIsInteractiveClient` in interface `ConnectionProperties`
      Returns:
        Returns the isInteractiveClient.

    - #### getJdbcCompliantTruncation

          public boolean getJdbcCompliantTruncation()

      Specified by:
        `getJdbcCompliantTruncation` in interface `ConnectionProperties`
      Returns:
        Returns the jdbcCompliantTruncation.

    - #### getLocatorFetchBufferSize

          public int getLocatorFetchBufferSize()

      Specified by:
        `getLocatorFetchBufferSize` in interface `ConnectionProperties`
      Returns:
        Returns the dontTrackOpenResources.

    - #### getLogger

          public java.lang.String getLogger()

      Specified by:
        `getLogger` in interface `ConnectionProperties`

    - #### getLoggerClassName

          public java.lang.String getLoggerClassName()

      Specified by:
        `getLoggerClassName` in interface `ConnectionProperties`
      Returns:
        Returns the loggerClassName.

    - #### getLogSlowQueries

          public boolean getLogSlowQueries()

      Specified by:
        `getLogSlowQueries` in interface `ConnectionProperties`
      Returns:
        Returns the logSlowQueries.

    - #### getMaintainTimeStats

          public boolean getMaintainTimeStats()

      Specified by:
        `getMaintainTimeStats` in interface `ConnectionProperties`

    - #### getMaxQuerySizeToLog

          public int getMaxQuerySizeToLog()

      Specified by:
        `getMaxQuerySizeToLog` in interface `ConnectionProperties`
      Returns:
        Returns the maxQuerySizeToLog.

    - #### getMaxReconnects

          public int getMaxReconnects()

      Specified by:
        `getMaxReconnects` in interface `ConnectionProperties`

    - #### getMaxRows

          public int getMaxRows()

      Specified by:
        `getMaxRows` in interface `ConnectionProperties`

    - #### getMetadataCacheSize

          public int getMetadataCacheSize()

      Description copied from interface: `ConnectionProperties`
      Returns the number of queries that metadata can be cached if caching is enabled.
      Specified by:
        `getMetadataCacheSize` in interface `ConnectionProperties`
      Returns:
        the number of queries to cache metadata for.

    - #### getNoDatetimeStringSync

          public boolean getNoDatetimeStringSync()

      Specified by:
        `getNoDatetimeStringSync` in interface `ConnectionProperties`
      Returns:
        Returns the noDatetimeStringSync.

    - #### getNullCatalogMeansCurrent

          public boolean getNullCatalogMeansCurrent()

      Specified by:
        `getNullCatalogMeansCurrent` in interface `ConnectionProperties`

    - #### getNullNamePatternMatchesAll

          public boolean getNullNamePatternMatchesAll()

      Specified by:
        `getNullNamePatternMatchesAll` in interface `ConnectionProperties`

    - #### getPacketDebugBufferSize

          public int getPacketDebugBufferSize()

      Specified by:
        `getPacketDebugBufferSize` in interface `ConnectionProperties`
      Returns:
        Returns the packetDebugBufferSize.

    - #### getParanoid

          public boolean getParanoid()

      Specified by:
        `getParanoid` in interface `ConnectionProperties`

    - #### getPedantic

          public boolean getPedantic()

      Specified by:
        `getPedantic` in interface `ConnectionProperties`

    - #### getPreparedStatementCacheSize

          public int getPreparedStatementCacheSize()

      Specified by:
        `getPreparedStatementCacheSize` in interface `ConnectionProperties`
      Returns:
        Returns the preparedStatementCacheSize.

    - #### getPreparedStatementCacheSqlLimit

          public int getPreparedStatementCacheSqlLimit()

      Specified by:
        `getPreparedStatementCacheSqlLimit` in interface `ConnectionProperties`
      Returns:
        Returns the preparedStatementCacheSqlLimit.

    - #### getProfileSql

          public boolean getProfileSql()

      Specified by:
        `getProfileSql` in interface `ConnectionProperties`

    - #### getProfileSQL

          public boolean getProfileSQL()

      Specified by:
        `getProfileSQL` in interface `ConnectionProperties`
      Returns:
        Returns the profileSQL flag

    - #### getPropertiesTransform

          public java.lang.String getPropertiesTransform()

      Specified by:
        `getPropertiesTransform` in interface `ConnectionProperties`
      Returns:
        Returns the propertiesTransform.

    - #### getQueriesBeforeRetryMaster

          public int getQueriesBeforeRetryMaster()

      Specified by:
        `getQueriesBeforeRetryMaster` in interface `ConnectionProperties`

    - #### getReconnectAtTxEnd

          public boolean getReconnectAtTxEnd()

      Specified by:
        `getReconnectAtTxEnd` in interface `ConnectionProperties`

    - #### getRelaxAutoCommit

          public boolean getRelaxAutoCommit()

      Specified by:
        `getRelaxAutoCommit` in interface `ConnectionProperties`

    - #### getReportMetricsIntervalMillis

          public int getReportMetricsIntervalMillis()

      Specified by:
        `getReportMetricsIntervalMillis` in interface `ConnectionProperties`
      Returns:
        Returns the reportMetricsIntervalMillis.

    - #### getRequireSSL

          public boolean getRequireSSL()

      Specified by:
        `getRequireSSL` in interface `ConnectionProperties`

    - #### getRetainStatementAfterResultSetClose

          public boolean getRetainStatementAfterResultSetClose()

      Specified by:
        `getRetainStatementAfterResultSetClose` in interface `ConnectionProperties`

    - #### getRollbackOnPooledClose

          public boolean getRollbackOnPooledClose()

      Specified by:
        `getRollbackOnPooledClose` in interface `ConnectionProperties`
      Returns:
        Returns the rollbackOnPooledClose.

    - #### getRoundRobinLoadBalance

          public boolean getRoundRobinLoadBalance()

      Description copied from interface: `ConnectionProperties`
      Returns whether or not hosts will be picked in a round-robin fashion.
      Specified by:
        `getRoundRobinLoadBalance` in interface `ConnectionProperties`
      Returns:
        Returns the roundRobinLoadBalance property.

    - #### getRunningCTS13

          public boolean getRunningCTS13()

      Specified by:
        `getRunningCTS13` in interface `ConnectionProperties`
      Returns:
        Returns the runningCTS13.

    - #### getSecondsBeforeRetryMaster

          public int getSecondsBeforeRetryMaster()

      Specified by:
        `getSecondsBeforeRetryMaster` in interface `ConnectionProperties`

    - #### getServerTimezone

          public java.lang.String getServerTimezone()

      Description copied from interface: `ConnectionProperties`
      Returns the 'serverTimezone' property.
      Specified by:
        `getServerTimezone` in interface `ConnectionProperties`
      Returns:
        the configured server timezone property.

    - #### getSessionVariables

          public java.lang.String getSessionVariables()

      Specified by:
        `getSessionVariables` in interface `ConnectionProperties`
      Returns:
        Returns the sessionVariables.

    - #### getSlowQueryThresholdMillis

          public int getSlowQueryThresholdMillis()

      Specified by:
        `getSlowQueryThresholdMillis` in interface `ConnectionProperties`
      Returns:
        Returns the slowQueryThresholdMillis.

    - #### getSocketFactoryClassName

          public java.lang.String getSocketFactoryClassName()

      Specified by:
        `getSocketFactoryClassName` in interface `ConnectionProperties`

    - #### getSocketTimeout

          public int getSocketTimeout()

      Specified by:
        `getSocketTimeout` in interface `ConnectionProperties`

    - #### getStrictFloatingPoint

          public boolean getStrictFloatingPoint()

      Specified by:
        `getStrictFloatingPoint` in interface `ConnectionProperties`

    - #### getStrictUpdates

          public boolean getStrictUpdates()

      Specified by:
        `getStrictUpdates` in interface `ConnectionProperties`

    - #### getTinyInt1isBit

          public boolean getTinyInt1isBit()

      Specified by:
        `getTinyInt1isBit` in interface `ConnectionProperties`
      Returns:
        Returns the tinyInt1isBit.

    - #### getTraceProtocol

          public boolean getTraceProtocol()

      Specified by:
        `getTraceProtocol` in interface `ConnectionProperties`
      Returns:
        Returns the logProtocol.

    - #### getTransformedBitIsBoolean

          public boolean getTransformedBitIsBoolean()

      Specified by:
        `getTransformedBitIsBoolean` in interface `ConnectionProperties`

    - #### getUseCompression

          public boolean getUseCompression()

      Specified by:
        `getUseCompression` in interface `ConnectionProperties`

    - #### getUseFastIntParsing

          public boolean getUseFastIntParsing()

      Specified by:
        `getUseFastIntParsing` in interface `ConnectionProperties`
      Returns:
        Returns the useFastIntParsing.

    - #### getUseHostsInPrivileges

          public boolean getUseHostsInPrivileges()

      Specified by:
        `getUseHostsInPrivileges` in interface `ConnectionProperties`

    - #### getUseInformationSchema

          public boolean getUseInformationSchema()

      Specified by:
        `getUseInformationSchema` in interface `ConnectionProperties`

    - #### getUseLocalSessionState

          public boolean getUseLocalSessionState()

      Specified by:
        `getUseLocalSessionState` in interface `ConnectionProperties`
      Returns:
        Returns the useLocalSessionState.

    - #### getUseOldUTF8Behavior

          public boolean getUseOldUTF8Behavior()

      Specified by:
        `getUseOldUTF8Behavior` in interface `ConnectionProperties`
      Returns:
        Returns the useOldUTF8Behavior.

    - #### getUseOnlyServerErrorMessages

          public boolean getUseOnlyServerErrorMessages()

      Specified by:
        `getUseOnlyServerErrorMessages` in interface `ConnectionProperties`
      Returns:
        Returns the useOnlyServerErrorMessages.

    - #### getUseReadAheadInput

          public boolean getUseReadAheadInput()

      Specified by:
        `getUseReadAheadInput` in interface `ConnectionProperties`
      Returns:
        Returns the useReadAheadInput.

    - #### getUseServerPreparedStmts

          public boolean getUseServerPreparedStmts()

      Specified by:
        `getUseServerPreparedStmts` in interface `ConnectionProperties`

    - #### getUseSqlStateCodes

          public boolean getUseSqlStateCodes()

      Specified by:
        `getUseSqlStateCodes` in interface `ConnectionProperties`
      Returns:
        Returns the useSqlStateCodes state.

    - #### getUseSSL

          public boolean getUseSSL()

      Specified by:
        `getUseSSL` in interface `ConnectionProperties`

    - #### isUseSSLExplicit

          public boolean isUseSSLExplicit()

      Was the value of useSSL set explicitly or just got from defaults.
      Specified by:
        `isUseSSLExplicit` in interface `ConnectionProperties`
      Returns:

    - #### getUseStreamLengthsInPrepStmts

          public boolean getUseStreamLengthsInPrepStmts()

      Specified by:
        `getUseStreamLengthsInPrepStmts` in interface `ConnectionProperties`

    - #### getUseTimezone

          public boolean getUseTimezone()

      Specified by:
        `getUseTimezone` in interface `ConnectionProperties`

    - #### getUseUltraDevWorkAround

          public boolean getUseUltraDevWorkAround()

      Specified by:
        `getUseUltraDevWorkAround` in interface `ConnectionProperties`

    - #### getUseUnbufferedInput

          public boolean getUseUnbufferedInput()

      Specified by:
        `getUseUnbufferedInput` in interface `ConnectionProperties`
      Returns:
        Returns the useUnbufferedInput.

    - #### getUseUnicode

          public boolean getUseUnicode()

      Specified by:
        `getUseUnicode` in interface `ConnectionProperties`

    - #### getUseUsageAdvisor

          public boolean getUseUsageAdvisor()

      Description copied from interface: `ConnectionProperties`
      Returns whether or not the driver advises of proper usage.
      Specified by:
        `getUseUsageAdvisor` in interface `ConnectionProperties`
      Returns:
        the value of useUsageAdvisor

    - #### getYearIsDateType

          public boolean getYearIsDateType()

      Specified by:
        `getYearIsDateType` in interface `ConnectionProperties`

    - #### getZeroDateTimeBehavior

          public java.lang.String getZeroDateTimeBehavior()

      Specified by:
        `getZeroDateTimeBehavior` in interface `ConnectionProperties`
      Returns:
        Returns the zeroDateTimeBehavior.

    - #### initializeFromRef

          protected void initializeFromRef(javax.naming.Reference ref)
                                    throws java.sql.SQLException

      Initializes driver properties that come from a JNDI reference (in the case of a javax.sql.DataSource bound into some name service that doesn't handle Java objects directly).
      Parameters:
        `ref` - The JNDI Reference that holds RefAddrs for all properties
      Throws:
        `java.sql.SQLException`

    - #### initializeProperties

          protected void initializeProperties(java.util.Properties info)
                                       throws java.sql.SQLException

      Initializes driver properties that come from URL or properties passed to the driver manager.
      Parameters:
        `info` -
      Throws:
        `java.sql.SQLException`

    - #### postInitialization

          protected void postInitialization()
                                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setAllowLoadLocalInfile

          public void setAllowLoadLocalInfile(boolean property)

      Specified by:
        `setAllowLoadLocalInfile` in interface `ConnectionProperties`

    - #### setAllowMultiQueries

          public void setAllowMultiQueries(boolean property)

      Specified by:
        `setAllowMultiQueries` in interface `ConnectionProperties`

    - #### setAllowNanAndInf

          public void setAllowNanAndInf(boolean flag)

      Specified by:
        `setAllowNanAndInf` in interface `ConnectionProperties`

    - #### setAllowUrlInLocalInfile

          public void setAllowUrlInLocalInfile(boolean flag)

      Specified by:
        `setAllowUrlInLocalInfile` in interface `ConnectionProperties`

    - #### setAlwaysSendSetIsolation

          public void setAlwaysSendSetIsolation(boolean flag)

      Specified by:
        `setAlwaysSendSetIsolation` in interface `ConnectionProperties`

    - #### setAutoDeserialize

          public void setAutoDeserialize(boolean flag)

      Specified by:
        `setAutoDeserialize` in interface `ConnectionProperties`

    - #### setAutoGenerateTestcaseScript

          public void setAutoGenerateTestcaseScript(boolean flag)

      Specified by:
        `setAutoGenerateTestcaseScript` in interface `ConnectionProperties`

    - #### setAutoReconnect

          public void setAutoReconnect(boolean flag)

      Specified by:
        `setAutoReconnect` in interface `ConnectionProperties`
      Parameters:
        `flag` - The autoReconnect to set.

    - #### setAutoReconnectForConnectionPools

          public void setAutoReconnectForConnectionPools(boolean property)

      Specified by:
        `setAutoReconnectForConnectionPools` in interface `ConnectionProperties`

    - #### setAutoReconnectForPools

          public void setAutoReconnectForPools(boolean flag)

      Specified by:
        `setAutoReconnectForPools` in interface `ConnectionProperties`
      Parameters:
        `flag` - The autoReconnectForPools to set.

    - #### setBlobSendChunkSize

          public void setBlobSendChunkSize(java.lang.String value)
                                    throws java.sql.SQLException

      Specified by:
        `setBlobSendChunkSize` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### setCacheCallableStatements

          public void setCacheCallableStatements(boolean flag)

      Specified by:
        `setCacheCallableStatements` in interface `ConnectionProperties`
      Parameters:
        `flag` - The cacheCallableStatements to set.

    - #### setCachePreparedStatements

          public void setCachePreparedStatements(boolean flag)

      Specified by:
        `setCachePreparedStatements` in interface `ConnectionProperties`
      Parameters:
        `flag` - The cachePreparedStatements to set.

    - #### setCacheResultSetMetadata

          public void setCacheResultSetMetadata(boolean property)

      Description copied from interface: `ConnectionProperties`
      Sets whether or not we should cache result set metadata.
      Specified by:
        `setCacheResultSetMetadata` in interface `ConnectionProperties`

    - #### setCacheServerConfiguration

          public void setCacheServerConfiguration(boolean flag)

      Specified by:
        `setCacheServerConfiguration` in interface `ConnectionProperties`

    - #### setCallableStatementCacheSize

          public void setCallableStatementCacheSize(int size)
                                             throws java.sql.SQLException

      Description copied from interface: `ConnectionProperties`
      Configures the number of callable statements to cache. (this is configurable during the life of the connection).
      Specified by:
        `setCallableStatementCacheSize` in interface `ConnectionProperties`
      Parameters:
        `size` - The callableStatementCacheSize to set.
      Throws:
        `java.sql.SQLException`

    - #### setCapitalizeDBMDTypes

          public void setCapitalizeDBMDTypes(boolean property)

      Specified by:
        `setCapitalizeDBMDTypes` in interface `ConnectionProperties`

    - #### setCapitalizeTypeNames

          public void setCapitalizeTypeNames(boolean flag)

      Specified by:
        `setCapitalizeTypeNames` in interface `ConnectionProperties`
      Parameters:
        `flag` - The capitalizeTypeNames to set.

    - #### setCharacterEncoding

          public void setCharacterEncoding(java.lang.String encoding)

      Specified by:
        `setCharacterEncoding` in interface `ConnectionProperties`
      Parameters:
        `encoding` - The characterEncoding to set.

    - #### setCharacterSetResults

          public void setCharacterSetResults(java.lang.String characterSet)

      Specified by:
        `setCharacterSetResults` in interface `ConnectionProperties`
      Parameters:
        `characterSet` - The characterSetResults to set.

    - #### setClobberStreamingResults

          public void setClobberStreamingResults(boolean flag)

      Specified by:
        `setClobberStreamingResults` in interface `ConnectionProperties`
      Parameters:
        `flag` - The clobberStreamingResults to set.

    - #### setClobCharacterEncoding

          public void setClobCharacterEncoding(java.lang.String encoding)

      Specified by:
        `setClobCharacterEncoding` in interface `ConnectionProperties`

    - #### setConnectionCollation

          public void setConnectionCollation(java.lang.String collation)

      Specified by:
        `setConnectionCollation` in interface `ConnectionProperties`
      Parameters:
        `collation` - The connectionCollation to set.

    - #### setConnectTimeout

          public void setConnectTimeout(int timeoutMs)
                                 throws java.sql.SQLException

      Specified by:
        `setConnectTimeout` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### setContinueBatchOnError

          public void setContinueBatchOnError(boolean property)

      Specified by:
        `setContinueBatchOnError` in interface `ConnectionProperties`

    - #### setCreateDatabaseIfNotExist

          public void setCreateDatabaseIfNotExist(boolean flag)

      Specified by:
        `setCreateDatabaseIfNotExist` in interface `ConnectionProperties`

    - #### setDefaultFetchSize

          public void setDefaultFetchSize(int n)
                                   throws java.sql.SQLException

      Specified by:
        `setDefaultFetchSize` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### setDetectServerPreparedStmts

          public void setDetectServerPreparedStmts(boolean property)

      Specified by:
        `setDetectServerPreparedStmts` in interface `ConnectionProperties`

    - #### setDontTrackOpenResources

          public void setDontTrackOpenResources(boolean flag)

      Specified by:
        `setDontTrackOpenResources` in interface `ConnectionProperties`

    - #### setDumpQueriesOnException

          public void setDumpQueriesOnException(boolean flag)

      Specified by:
        `setDumpQueriesOnException` in interface `ConnectionProperties`
      Parameters:
        `flag` - The dumpQueriesOnException to set.

    - #### setDynamicCalendars

          public void setDynamicCalendars(boolean flag)

      Specified by:
        `setDynamicCalendars` in interface `ConnectionProperties`

    - #### setElideSetAutoCommits

          public void setElideSetAutoCommits(boolean flag)

      Specified by:
        `setElideSetAutoCommits` in interface `ConnectionProperties`
      Parameters:
        `flag` - The elideSetAutoCommits to set.

    - #### setEmptyStringsConvertToZero

          public void setEmptyStringsConvertToZero(boolean flag)

      Specified by:
        `setEmptyStringsConvertToZero` in interface `ConnectionProperties`

    - #### setEmulateLocators

          public void setEmulateLocators(boolean property)

      Specified by:
        `setEmulateLocators` in interface `ConnectionProperties`

    - #### setEmulateUnsupportedPstmts

          public void setEmulateUnsupportedPstmts(boolean flag)

      Specified by:
        `setEmulateUnsupportedPstmts` in interface `ConnectionProperties`

    - #### setEnablePacketDebug

          public void setEnablePacketDebug(boolean flag)

      Specified by:
        `setEnablePacketDebug` in interface `ConnectionProperties`
      Parameters:
        `flag` - The enablePacketDebug to set.

    - #### setEncoding

          public void setEncoding(java.lang.String property)

      Specified by:
        `setEncoding` in interface `ConnectionProperties`

    - #### setExplainSlowQueries

          public void setExplainSlowQueries(boolean flag)

      Specified by:
        `setExplainSlowQueries` in interface `ConnectionProperties`
      Parameters:
        `flag` - The explainSlowQueries to set.

    - #### setFailOverReadOnly

          public void setFailOverReadOnly(boolean flag)

      Specified by:
        `setFailOverReadOnly` in interface `ConnectionProperties`
      Parameters:
        `flag` - The failOverReadOnly to set.

    - #### setGatherPerformanceMetrics

          public void setGatherPerformanceMetrics(boolean flag)

      Specified by:
        `setGatherPerformanceMetrics` in interface `ConnectionProperties`
      Parameters:
        `flag` - The gatherPerformanceMetrics to set.

    - #### setHighAvailability

          protected void setHighAvailability(boolean property)

    - #### setHoldResultsOpenOverStatementClose

          public void setHoldResultsOpenOverStatementClose(boolean flag)

      Specified by:
        `setHoldResultsOpenOverStatementClose` in interface `ConnectionProperties`

    - #### setIgnoreNonTxTables

          public void setIgnoreNonTxTables(boolean property)

      Specified by:
        `setIgnoreNonTxTables` in interface `ConnectionProperties`

    - #### setInitialTimeout

          public void setInitialTimeout(int property)
                                 throws java.sql.SQLException

      Specified by:
        `setInitialTimeout` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### setIsInteractiveClient

          public void setIsInteractiveClient(boolean property)

      Specified by:
        `setIsInteractiveClient` in interface `ConnectionProperties`

    - #### setJdbcCompliantTruncation

          public void setJdbcCompliantTruncation(boolean flag)

      Specified by:
        `setJdbcCompliantTruncation` in interface `ConnectionProperties`
      Parameters:
        `flag` - The jdbcCompliantTruncation to set.

    - #### setLocatorFetchBufferSize

          public void setLocatorFetchBufferSize(java.lang.String value)
                                         throws java.sql.SQLException

      Specified by:
        `setLocatorFetchBufferSize` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### setLogger

          public void setLogger(java.lang.String property)

      Specified by:
        `setLogger` in interface `ConnectionProperties`

    - #### setLoggerClassName

          public void setLoggerClassName(java.lang.String className)

      Specified by:
        `setLoggerClassName` in interface `ConnectionProperties`
      Parameters:
        `className` - The loggerClassName to set.

    - #### setLogSlowQueries

          public void setLogSlowQueries(boolean flag)

      Specified by:
        `setLogSlowQueries` in interface `ConnectionProperties`
      Parameters:
        `flag` - The logSlowQueries to set.

    - #### setMaintainTimeStats

          public void setMaintainTimeStats(boolean flag)

      Specified by:
        `setMaintainTimeStats` in interface `ConnectionProperties`

    - #### setMaxQuerySizeToLog

          public void setMaxQuerySizeToLog(int sizeInBytes)
                                    throws java.sql.SQLException

      Specified by:
        `setMaxQuerySizeToLog` in interface `ConnectionProperties`
      Parameters:
        `sizeInBytes` - The maxQuerySizeToLog to set.
      Throws:
        `java.sql.SQLException`

    - #### setMaxReconnects

          public void setMaxReconnects(int property)
                                throws java.sql.SQLException

      Specified by:
        `setMaxReconnects` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### setMaxRows

          public void setMaxRows(int property)
                          throws java.sql.SQLException

      Specified by:
        `setMaxRows` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### setMetadataCacheSize

          public void setMetadataCacheSize(int value)
                                    throws java.sql.SQLException

      Description copied from interface: `ConnectionProperties`
      Sets the number of queries that metadata can be cached if caching is enabled.
      Specified by:
        `setMetadataCacheSize` in interface `ConnectionProperties`
      Parameters:
        `value` - the number of queries to cache metadata for.
      Throws:
        `java.sql.SQLException`

    - #### setNoDatetimeStringSync

          public void setNoDatetimeStringSync(boolean flag)

      Specified by:
        `setNoDatetimeStringSync` in interface `ConnectionProperties`

    - #### setNullCatalogMeansCurrent

          public void setNullCatalogMeansCurrent(boolean value)

      Specified by:
        `setNullCatalogMeansCurrent` in interface `ConnectionProperties`

    - #### setNullNamePatternMatchesAll

          public void setNullNamePatternMatchesAll(boolean value)

      Specified by:
        `setNullNamePatternMatchesAll` in interface `ConnectionProperties`

    - #### setPacketDebugBufferSize

          public void setPacketDebugBufferSize(int size)
                                        throws java.sql.SQLException

      Specified by:
        `setPacketDebugBufferSize` in interface `ConnectionProperties`
      Parameters:
        `size` - The packetDebugBufferSize to set.
      Throws:
        `java.sql.SQLException`

    - #### setParanoid

          public void setParanoid(boolean property)

      Specified by:
        `setParanoid` in interface `ConnectionProperties`

    - #### setPedantic

          public void setPedantic(boolean property)

      Specified by:
        `setPedantic` in interface `ConnectionProperties`

    - #### setPreparedStatementCacheSize

          public void setPreparedStatementCacheSize(int cacheSize)
                                             throws java.sql.SQLException

      Specified by:
        `setPreparedStatementCacheSize` in interface `ConnectionProperties`
      Parameters:
        `cacheSize` - The preparedStatementCacheSize to set.
      Throws:
        `java.sql.SQLException`

    - #### setPreparedStatementCacheSqlLimit

          public void setPreparedStatementCacheSqlLimit(int cacheSqlLimit)
                                                 throws java.sql.SQLException

      Specified by:
        `setPreparedStatementCacheSqlLimit` in interface `ConnectionProperties`
      Parameters:
        `cacheSqlLimit` - The preparedStatementCacheSqlLimit to set.
      Throws:
        `java.sql.SQLException`

    - #### setProfileSql

          public void setProfileSql(boolean property)

      Specified by:
        `setProfileSql` in interface `ConnectionProperties`

    - #### setProfileSQL

          public void setProfileSQL(boolean flag)

      Specified by:
        `setProfileSQL` in interface `ConnectionProperties`
      Parameters:
        `flag` - The profileSQL to set.

    - #### setPropertiesTransform

          public void setPropertiesTransform(java.lang.String value)

      Specified by:
        `setPropertiesTransform` in interface `ConnectionProperties`

    - #### setQueriesBeforeRetryMaster

          public void setQueriesBeforeRetryMaster(int property)
                                           throws java.sql.SQLException

      Specified by:
        `setQueriesBeforeRetryMaster` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### setReconnectAtTxEnd

          public void setReconnectAtTxEnd(boolean property)

      Specified by:
        `setReconnectAtTxEnd` in interface `ConnectionProperties`

    - #### setRelaxAutoCommit

          public void setRelaxAutoCommit(boolean property)

      Specified by:
        `setRelaxAutoCommit` in interface `ConnectionProperties`

    - #### setReportMetricsIntervalMillis

          public void setReportMetricsIntervalMillis(int millis)
                                              throws java.sql.SQLException

      Specified by:
        `setReportMetricsIntervalMillis` in interface `ConnectionProperties`
      Parameters:
        `millis` - The reportMetricsIntervalMillis to set.
      Throws:
        `java.sql.SQLException`

    - #### setRequireSSL

          public void setRequireSSL(boolean property)

      Specified by:
        `setRequireSSL` in interface `ConnectionProperties`

    - #### setRetainStatementAfterResultSetClose

          public void setRetainStatementAfterResultSetClose(boolean flag)

      Specified by:
        `setRetainStatementAfterResultSetClose` in interface `ConnectionProperties`

    - #### setRollbackOnPooledClose

          public void setRollbackOnPooledClose(boolean flag)

      Specified by:
        `setRollbackOnPooledClose` in interface `ConnectionProperties`

    - #### setRoundRobinLoadBalance

          public void setRoundRobinLoadBalance(boolean flag)

      Description copied from interface: `ConnectionProperties`
      Sets whether or not hosts will be picked in a round-robin fashion.
      Specified by:
        `setRoundRobinLoadBalance` in interface `ConnectionProperties`
      Parameters:
        `flag` - The roundRobinLoadBalance property to set.

    - #### setRunningCTS13

          public void setRunningCTS13(boolean flag)

      Specified by:
        `setRunningCTS13` in interface `ConnectionProperties`

    - #### setSecondsBeforeRetryMaster

          public void setSecondsBeforeRetryMaster(int property)
                                           throws java.sql.SQLException

      Specified by:
        `setSecondsBeforeRetryMaster` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### setServerTimezone

          public void setServerTimezone(java.lang.String property)

      Specified by:
        `setServerTimezone` in interface `ConnectionProperties`

    - #### setSessionVariables

          public void setSessionVariables(java.lang.String variables)

      Specified by:
        `setSessionVariables` in interface `ConnectionProperties`

    - #### setSlowQueryThresholdMillis

          public void setSlowQueryThresholdMillis(int millis)
                                           throws java.sql.SQLException

      Specified by:
        `setSlowQueryThresholdMillis` in interface `ConnectionProperties`
      Parameters:
        `millis` - The slowQueryThresholdMillis to set.
      Throws:
        `java.sql.SQLException`

    - #### setSocketFactoryClassName

          public void setSocketFactoryClassName(java.lang.String property)

      Specified by:
        `setSocketFactoryClassName` in interface `ConnectionProperties`

    - #### setSocketTimeout

          public void setSocketTimeout(int property)
                                throws java.sql.SQLException

      Specified by:
        `setSocketTimeout` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### setStrictFloatingPoint

          public void setStrictFloatingPoint(boolean property)

      Specified by:
        `setStrictFloatingPoint` in interface `ConnectionProperties`

    - #### setStrictUpdates

          public void setStrictUpdates(boolean property)

      Specified by:
        `setStrictUpdates` in interface `ConnectionProperties`

    - #### setTinyInt1isBit

          public void setTinyInt1isBit(boolean flag)

      Specified by:
        `setTinyInt1isBit` in interface `ConnectionProperties`

    - #### setTraceProtocol

          public void setTraceProtocol(boolean flag)

      Specified by:
        `setTraceProtocol` in interface `ConnectionProperties`
      Parameters:
        `flag` - The logProtocol to set.

    - #### setTransformedBitIsBoolean

          public void setTransformedBitIsBoolean(boolean flag)

      Specified by:
        `setTransformedBitIsBoolean` in interface `ConnectionProperties`

    - #### setUseCompression

          public void setUseCompression(boolean property)

      Specified by:
        `setUseCompression` in interface `ConnectionProperties`

    - #### setUseFastIntParsing

          public void setUseFastIntParsing(boolean flag)

      Specified by:
        `setUseFastIntParsing` in interface `ConnectionProperties`

    - #### setUseHostsInPrivileges

          public void setUseHostsInPrivileges(boolean property)

      Specified by:
        `setUseHostsInPrivileges` in interface `ConnectionProperties`

    - #### setUseInformationSchema

          public void setUseInformationSchema(boolean flag)

      Specified by:
        `setUseInformationSchema` in interface `ConnectionProperties`

    - #### setUseLocalSessionState

          public void setUseLocalSessionState(boolean flag)

      Specified by:
        `setUseLocalSessionState` in interface `ConnectionProperties`

    - #### setUseOldUTF8Behavior

          public void setUseOldUTF8Behavior(boolean flag)

      Specified by:
        `setUseOldUTF8Behavior` in interface `ConnectionProperties`

    - #### setUseOnlyServerErrorMessages

          public void setUseOnlyServerErrorMessages(boolean flag)

      Specified by:
        `setUseOnlyServerErrorMessages` in interface `ConnectionProperties`

    - #### setUseReadAheadInput

          public void setUseReadAheadInput(boolean flag)

      Specified by:
        `setUseReadAheadInput` in interface `ConnectionProperties`

    - #### setUseServerPreparedStmts

          public void setUseServerPreparedStmts(boolean flag)

      Specified by:
        `setUseServerPreparedStmts` in interface `ConnectionProperties`
      Parameters:
        `flag` - The detectServerPreparedStmts to set.

    - #### setUseSqlStateCodes

          public void setUseSqlStateCodes(boolean flag)

      Specified by:
        `setUseSqlStateCodes` in interface `ConnectionProperties`
      Parameters:
        `flag` - The useSqlStateCodes to set.

    - #### setUseSSL

          public void setUseSSL(boolean property)

      Specified by:
        `setUseSSL` in interface `ConnectionProperties`

    - #### setUseStreamLengthsInPrepStmts

          public void setUseStreamLengthsInPrepStmts(boolean property)

      Specified by:
        `setUseStreamLengthsInPrepStmts` in interface `ConnectionProperties`

    - #### setUseTimezone

          public void setUseTimezone(boolean property)

      Specified by:
        `setUseTimezone` in interface `ConnectionProperties`

    - #### setUseUltraDevWorkAround

          public void setUseUltraDevWorkAround(boolean property)

      Specified by:
        `setUseUltraDevWorkAround` in interface `ConnectionProperties`

    - #### setUseUnbufferedInput

          public void setUseUnbufferedInput(boolean flag)

      Specified by:
        `setUseUnbufferedInput` in interface `ConnectionProperties`
      Parameters:
        `flag` - The useUnbufferedInput to set.

    - #### setUseUnicode

          public void setUseUnicode(boolean flag)

      Specified by:
        `setUseUnicode` in interface `ConnectionProperties`
      Parameters:
        `flag` - The useUnicode to set.

    - #### setUseUsageAdvisor

          public void setUseUsageAdvisor(boolean useUsageAdvisorFlag)

      Description copied from interface: `ConnectionProperties`
      Sets whether or not the driver advises of proper usage.
      Specified by:
        `setUseUsageAdvisor` in interface `ConnectionProperties`
      Parameters:
        `useUsageAdvisorFlag` - whether or not the driver advises of proper usage.

    - #### setYearIsDateType

          public void setYearIsDateType(boolean flag)

      Specified by:
        `setYearIsDateType` in interface `ConnectionProperties`

    - #### setZeroDateTimeBehavior

          public void setZeroDateTimeBehavior(java.lang.String behavior)

      Specified by:
        `setZeroDateTimeBehavior` in interface `ConnectionProperties`

    - #### storeToRef

          protected void storeToRef(javax.naming.Reference ref)
                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### useUnbufferedInput

          public boolean useUnbufferedInput()

      Specified by:
        `useUnbufferedInput` in interface `ConnectionProperties`
      Returns:
        Returns the useUnbufferedInput.

    - #### getUseCursorFetch

          public boolean getUseCursorFetch()

      Specified by:
        `getUseCursorFetch` in interface `ConnectionProperties`

    - #### setUseCursorFetch

          public void setUseCursorFetch(boolean flag)

      Specified by:
        `setUseCursorFetch` in interface `ConnectionProperties`

    - #### getOverrideSupportsIntegrityEnhancementFacility

          public boolean getOverrideSupportsIntegrityEnhancementFacility()

      Specified by:
        `getOverrideSupportsIntegrityEnhancementFacility` in interface `ConnectionProperties`

    - #### setOverrideSupportsIntegrityEnhancementFacility

          public void setOverrideSupportsIntegrityEnhancementFacility(boolean flag)

      Specified by:
        `setOverrideSupportsIntegrityEnhancementFacility` in interface `ConnectionProperties`

    - #### getNoTimezoneConversionForTimeType

          public boolean getNoTimezoneConversionForTimeType()

      Specified by:
        `getNoTimezoneConversionForTimeType` in interface `ConnectionProperties`

    - #### setNoTimezoneConversionForTimeType

          public void setNoTimezoneConversionForTimeType(boolean flag)

      Specified by:
        `setNoTimezoneConversionForTimeType` in interface `ConnectionProperties`

    - #### getNoTimezoneConversionForDateType

          public boolean getNoTimezoneConversionForDateType()

      Specified by:
        `getNoTimezoneConversionForDateType` in interface `ConnectionProperties`

    - #### setNoTimezoneConversionForDateType

          public void setNoTimezoneConversionForDateType(boolean flag)

      Specified by:
        `setNoTimezoneConversionForDateType` in interface `ConnectionProperties`

    - #### getCacheDefaultTimezone

          public boolean getCacheDefaultTimezone()

      Specified by:
        `getCacheDefaultTimezone` in interface `ConnectionProperties`

    - #### setCacheDefaultTimezone

          public void setCacheDefaultTimezone(boolean flag)

      Specified by:
        `setCacheDefaultTimezone` in interface `ConnectionProperties`

    - #### getUseJDBCCompliantTimezoneShift

          public boolean getUseJDBCCompliantTimezoneShift()

      Specified by:
        `getUseJDBCCompliantTimezoneShift` in interface `ConnectionProperties`

    - #### setUseJDBCCompliantTimezoneShift

          public void setUseJDBCCompliantTimezoneShift(boolean flag)

      Specified by:
        `setUseJDBCCompliantTimezoneShift` in interface `ConnectionProperties`

    - #### getAutoClosePStmtStreams

          public boolean getAutoClosePStmtStreams()

      Specified by:
        `getAutoClosePStmtStreams` in interface `ConnectionProperties`

    - #### setAutoClosePStmtStreams

          public void setAutoClosePStmtStreams(boolean flag)

      Specified by:
        `setAutoClosePStmtStreams` in interface `ConnectionProperties`

    - #### getProcessEscapeCodesForPrepStmts

          public boolean getProcessEscapeCodesForPrepStmts()

      Specified by:
        `getProcessEscapeCodesForPrepStmts` in interface `ConnectionProperties`

    - #### setProcessEscapeCodesForPrepStmts

          public void setProcessEscapeCodesForPrepStmts(boolean flag)

      Specified by:
        `setProcessEscapeCodesForPrepStmts` in interface `ConnectionProperties`

    - #### getUseGmtMillisForDatetimes

          public boolean getUseGmtMillisForDatetimes()

      Specified by:
        `getUseGmtMillisForDatetimes` in interface `ConnectionProperties`

    - #### setUseGmtMillisForDatetimes

          public void setUseGmtMillisForDatetimes(boolean flag)

      Specified by:
        `setUseGmtMillisForDatetimes` in interface `ConnectionProperties`

    - #### getDumpMetadataOnColumnNotFound

          public boolean getDumpMetadataOnColumnNotFound()

      Specified by:
        `getDumpMetadataOnColumnNotFound` in interface `ConnectionProperties`

    - #### setDumpMetadataOnColumnNotFound

          public void setDumpMetadataOnColumnNotFound(boolean flag)

      Specified by:
        `setDumpMetadataOnColumnNotFound` in interface `ConnectionProperties`

    - #### getResourceId

          public java.lang.String getResourceId()

      Specified by:
        `getResourceId` in interface `ConnectionProperties`

    - #### setResourceId

          public void setResourceId(java.lang.String resourceId)

      Specified by:
        `setResourceId` in interface `ConnectionProperties`

    - #### getRewriteBatchedStatements

          public boolean getRewriteBatchedStatements()

      Specified by:
        `getRewriteBatchedStatements` in interface `ConnectionProperties`

    - #### setRewriteBatchedStatements

          public void setRewriteBatchedStatements(boolean flag)

      Specified by:
        `setRewriteBatchedStatements` in interface `ConnectionProperties`

    - #### getJdbcCompliantTruncationForReads

          public boolean getJdbcCompliantTruncationForReads()

      Specified by:
        `getJdbcCompliantTruncationForReads` in interface `ConnectionProperties`

    - #### setJdbcCompliantTruncationForReads

          public void setJdbcCompliantTruncationForReads(boolean jdbcCompliantTruncationForReads)

      Specified by:
        `setJdbcCompliantTruncationForReads` in interface `ConnectionProperties`

    - #### getUseJvmCharsetConverters

          public boolean getUseJvmCharsetConverters()

      Specified by:
        `getUseJvmCharsetConverters` in interface `ConnectionProperties`

    - #### setUseJvmCharsetConverters

          public void setUseJvmCharsetConverters(boolean flag)

      Specified by:
        `setUseJvmCharsetConverters` in interface `ConnectionProperties`

    - #### getPinGlobalTxToPhysicalConnection

          public boolean getPinGlobalTxToPhysicalConnection()

      Specified by:
        `getPinGlobalTxToPhysicalConnection` in interface `ConnectionProperties`

    - #### setPinGlobalTxToPhysicalConnection

          public void setPinGlobalTxToPhysicalConnection(boolean flag)

      Specified by:
        `setPinGlobalTxToPhysicalConnection` in interface `ConnectionProperties`

    - #### setGatherPerfMetrics

          public void setGatherPerfMetrics(boolean flag)

      Specified by:
        `setGatherPerfMetrics` in interface `ConnectionProperties`

    - #### getGatherPerfMetrics

          public boolean getGatherPerfMetrics()

      Specified by:
        `getGatherPerfMetrics` in interface `ConnectionProperties`

    - #### setUltraDevHack

          public void setUltraDevHack(boolean flag)

      Specified by:
        `setUltraDevHack` in interface `ConnectionProperties`

    - #### getUltraDevHack

          public boolean getUltraDevHack()

      Specified by:
        `getUltraDevHack` in interface `ConnectionProperties`

    - #### setInteractiveClient

          public void setInteractiveClient(boolean property)

      Specified by:
        `setInteractiveClient` in interface `ConnectionProperties`

    - #### setSocketFactory

          public void setSocketFactory(java.lang.String name)

      Specified by:
        `setSocketFactory` in interface `ConnectionProperties`

    - #### getSocketFactory

          public java.lang.String getSocketFactory()

      Specified by:
        `getSocketFactory` in interface `ConnectionProperties`

    - #### setUseServerPrepStmts

          public void setUseServerPrepStmts(boolean flag)

      Specified by:
        `setUseServerPrepStmts` in interface `ConnectionProperties`

    - #### getUseServerPrepStmts

          public boolean getUseServerPrepStmts()

      Specified by:
        `getUseServerPrepStmts` in interface `ConnectionProperties`

    - #### setCacheCallableStmts

          public void setCacheCallableStmts(boolean flag)

      Specified by:
        `setCacheCallableStmts` in interface `ConnectionProperties`

    - #### getCacheCallableStmts

          public boolean getCacheCallableStmts()

      Specified by:
        `getCacheCallableStmts` in interface `ConnectionProperties`

    - #### setCachePrepStmts

          public void setCachePrepStmts(boolean flag)

      Specified by:
        `setCachePrepStmts` in interface `ConnectionProperties`

    - #### getCachePrepStmts

          public boolean getCachePrepStmts()

      Specified by:
        `getCachePrepStmts` in interface `ConnectionProperties`

    - #### setCallableStmtCacheSize

          public void setCallableStmtCacheSize(int cacheSize)
                                        throws java.sql.SQLException

      Specified by:
        `setCallableStmtCacheSize` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getCallableStmtCacheSize

          public int getCallableStmtCacheSize()

      Specified by:
        `getCallableStmtCacheSize` in interface `ConnectionProperties`

    - #### setPrepStmtCacheSize

          public void setPrepStmtCacheSize(int cacheSize)
                                    throws java.sql.SQLException

      Specified by:
        `setPrepStmtCacheSize` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getPrepStmtCacheSize

          public int getPrepStmtCacheSize()

      Specified by:
        `getPrepStmtCacheSize` in interface `ConnectionProperties`

    - #### setPrepStmtCacheSqlLimit

          public void setPrepStmtCacheSqlLimit(int sqlLimit)
                                        throws java.sql.SQLException

      Specified by:
        `setPrepStmtCacheSqlLimit` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getPrepStmtCacheSqlLimit

          public int getPrepStmtCacheSqlLimit()

      Specified by:
        `getPrepStmtCacheSqlLimit` in interface `ConnectionProperties`

    - #### getNoAccessToProcedureBodies

          public boolean getNoAccessToProcedureBodies()

      Specified by:
        `getNoAccessToProcedureBodies` in interface `ConnectionProperties`

    - #### setNoAccessToProcedureBodies

          public void setNoAccessToProcedureBodies(boolean flag)

      Specified by:
        `setNoAccessToProcedureBodies` in interface `ConnectionProperties`

    - #### getUseOldAliasMetadataBehavior

          public boolean getUseOldAliasMetadataBehavior()

      Specified by:
        `getUseOldAliasMetadataBehavior` in interface `ConnectionProperties`

    - #### setUseOldAliasMetadataBehavior

          public void setUseOldAliasMetadataBehavior(boolean flag)

      Specified by:
        `setUseOldAliasMetadataBehavior` in interface `ConnectionProperties`

    - #### getClientCertificateKeyStorePassword

          public java.lang.String getClientCertificateKeyStorePassword()

      Specified by:
        `getClientCertificateKeyStorePassword` in interface `ConnectionProperties`

    - #### setClientCertificateKeyStorePassword

          public void setClientCertificateKeyStorePassword(java.lang.String value)

      Specified by:
        `setClientCertificateKeyStorePassword` in interface `ConnectionProperties`

    - #### getClientCertificateKeyStoreType

          public java.lang.String getClientCertificateKeyStoreType()

      Specified by:
        `getClientCertificateKeyStoreType` in interface `ConnectionProperties`

    - #### setClientCertificateKeyStoreType

          public void setClientCertificateKeyStoreType(java.lang.String value)

      Specified by:
        `setClientCertificateKeyStoreType` in interface `ConnectionProperties`

    - #### getClientCertificateKeyStoreUrl

          public java.lang.String getClientCertificateKeyStoreUrl()

      Specified by:
        `getClientCertificateKeyStoreUrl` in interface `ConnectionProperties`

    - #### setClientCertificateKeyStoreUrl

          public void setClientCertificateKeyStoreUrl(java.lang.String value)

      Specified by:
        `setClientCertificateKeyStoreUrl` in interface `ConnectionProperties`

    - #### getTrustCertificateKeyStorePassword

          public java.lang.String getTrustCertificateKeyStorePassword()

      Specified by:
        `getTrustCertificateKeyStorePassword` in interface `ConnectionProperties`

    - #### setTrustCertificateKeyStorePassword

          public void setTrustCertificateKeyStorePassword(java.lang.String value)

      Specified by:
        `setTrustCertificateKeyStorePassword` in interface `ConnectionProperties`

    - #### getTrustCertificateKeyStoreType

          public java.lang.String getTrustCertificateKeyStoreType()

      Specified by:
        `getTrustCertificateKeyStoreType` in interface `ConnectionProperties`

    - #### setTrustCertificateKeyStoreType

          public void setTrustCertificateKeyStoreType(java.lang.String value)

      Specified by:
        `setTrustCertificateKeyStoreType` in interface `ConnectionProperties`

    - #### getTrustCertificateKeyStoreUrl

          public java.lang.String getTrustCertificateKeyStoreUrl()

      Specified by:
        `getTrustCertificateKeyStoreUrl` in interface `ConnectionProperties`

    - #### setTrustCertificateKeyStoreUrl

          public void setTrustCertificateKeyStoreUrl(java.lang.String value)

      Specified by:
        `setTrustCertificateKeyStoreUrl` in interface `ConnectionProperties`

    - #### getUseSSPSCompatibleTimezoneShift

          public boolean getUseSSPSCompatibleTimezoneShift()

      Specified by:
        `getUseSSPSCompatibleTimezoneShift` in interface `ConnectionProperties`

    - #### setUseSSPSCompatibleTimezoneShift

          public void setUseSSPSCompatibleTimezoneShift(boolean flag)

      Specified by:
        `setUseSSPSCompatibleTimezoneShift` in interface `ConnectionProperties`

    - #### getTreatUtilDateAsTimestamp

          public boolean getTreatUtilDateAsTimestamp()

      Specified by:
        `getTreatUtilDateAsTimestamp` in interface `ConnectionProperties`

    - #### setTreatUtilDateAsTimestamp

          public void setTreatUtilDateAsTimestamp(boolean flag)

      Specified by:
        `setTreatUtilDateAsTimestamp` in interface `ConnectionProperties`

    - #### getUseFastDateParsing

          public boolean getUseFastDateParsing()

      Specified by:
        `getUseFastDateParsing` in interface `ConnectionProperties`

    - #### setUseFastDateParsing

          public void setUseFastDateParsing(boolean flag)

      Specified by:
        `setUseFastDateParsing` in interface `ConnectionProperties`

    - #### getLocalSocketAddress

          public java.lang.String getLocalSocketAddress()

      Specified by:
        `getLocalSocketAddress` in interface `ConnectionProperties`

    - #### setLocalSocketAddress

          public void setLocalSocketAddress(java.lang.String address)

      Specified by:
        `setLocalSocketAddress` in interface `ConnectionProperties`

    - #### setUseConfigs

          public void setUseConfigs(java.lang.String configs)

      Specified by:
        `setUseConfigs` in interface `ConnectionProperties`

    - #### getUseConfigs

          public java.lang.String getUseConfigs()

      Specified by:
        `getUseConfigs` in interface `ConnectionProperties`

    - #### getGenerateSimpleParameterMetadata

          public boolean getGenerateSimpleParameterMetadata()

      Specified by:
        `getGenerateSimpleParameterMetadata` in interface `ConnectionProperties`

    - #### setGenerateSimpleParameterMetadata

          public void setGenerateSimpleParameterMetadata(boolean flag)

      Specified by:
        `setGenerateSimpleParameterMetadata` in interface `ConnectionProperties`

    - #### getLogXaCommands

          public boolean getLogXaCommands()

      Specified by:
        `getLogXaCommands` in interface `ConnectionProperties`

    - #### setLogXaCommands

          public void setLogXaCommands(boolean flag)

      Specified by:
        `setLogXaCommands` in interface `ConnectionProperties`

    - #### getResultSetSizeThreshold

          public int getResultSetSizeThreshold()

      Specified by:
        `getResultSetSizeThreshold` in interface `ConnectionProperties`

    - #### setResultSetSizeThreshold

          public void setResultSetSizeThreshold(int threshold)
                                         throws java.sql.SQLException

      Specified by:
        `setResultSetSizeThreshold` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getNetTimeoutForStreamingResults

          public int getNetTimeoutForStreamingResults()

      Specified by:
        `getNetTimeoutForStreamingResults` in interface `ConnectionProperties`

    - #### setNetTimeoutForStreamingResults

          public void setNetTimeoutForStreamingResults(int value)
                                                throws java.sql.SQLException

      Specified by:
        `setNetTimeoutForStreamingResults` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getEnableQueryTimeouts

          public boolean getEnableQueryTimeouts()

      Specified by:
        `getEnableQueryTimeouts` in interface `ConnectionProperties`

    - #### setEnableQueryTimeouts

          public void setEnableQueryTimeouts(boolean flag)

      Specified by:
        `setEnableQueryTimeouts` in interface `ConnectionProperties`

    - #### getPadCharsWithSpace

          public boolean getPadCharsWithSpace()

      Specified by:
        `getPadCharsWithSpace` in interface `ConnectionProperties`

    - #### setPadCharsWithSpace

          public void setPadCharsWithSpace(boolean flag)

      Specified by:
        `setPadCharsWithSpace` in interface `ConnectionProperties`

    - #### getUseDynamicCharsetInfo

          public boolean getUseDynamicCharsetInfo()

      Specified by:
        `getUseDynamicCharsetInfo` in interface `ConnectionProperties`

    - #### setUseDynamicCharsetInfo

          public void setUseDynamicCharsetInfo(boolean flag)

      Specified by:
        `setUseDynamicCharsetInfo` in interface `ConnectionProperties`

    - #### getClientInfoProvider

          public java.lang.String getClientInfoProvider()

      Specified by:
        `getClientInfoProvider` in interface `ConnectionProperties`

    - #### setClientInfoProvider

          public void setClientInfoProvider(java.lang.String classname)

      Specified by:
        `setClientInfoProvider` in interface `ConnectionProperties`

    - #### getPopulateInsertRowWithDefaultValues

          public boolean getPopulateInsertRowWithDefaultValues()

      Specified by:
        `getPopulateInsertRowWithDefaultValues` in interface `ConnectionProperties`

    - #### setPopulateInsertRowWithDefaultValues

          public void setPopulateInsertRowWithDefaultValues(boolean flag)

      Specified by:
        `setPopulateInsertRowWithDefaultValues` in interface `ConnectionProperties`

    - #### getLoadBalanceStrategy

          public java.lang.String getLoadBalanceStrategy()

      Specified by:
        `getLoadBalanceStrategy` in interface `ConnectionProperties`

    - #### setLoadBalanceStrategy

          public void setLoadBalanceStrategy(java.lang.String strategy)

      Specified by:
        `setLoadBalanceStrategy` in interface `ConnectionProperties`

    - #### getTcpNoDelay

          public boolean getTcpNoDelay()

      Specified by:
        `getTcpNoDelay` in interface `ConnectionProperties`

    - #### setTcpNoDelay

          public void setTcpNoDelay(boolean flag)

      Specified by:
        `setTcpNoDelay` in interface `ConnectionProperties`

    - #### getTcpKeepAlive

          public boolean getTcpKeepAlive()

      Specified by:
        `getTcpKeepAlive` in interface `ConnectionProperties`

    - #### setTcpKeepAlive

          public void setTcpKeepAlive(boolean flag)

      Specified by:
        `setTcpKeepAlive` in interface `ConnectionProperties`

    - #### getTcpRcvBuf

          public int getTcpRcvBuf()

      Specified by:
        `getTcpRcvBuf` in interface `ConnectionProperties`

    - #### setTcpRcvBuf

          public void setTcpRcvBuf(int bufSize)
                            throws java.sql.SQLException

      Specified by:
        `setTcpRcvBuf` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getTcpSndBuf

          public int getTcpSndBuf()

      Specified by:
        `getTcpSndBuf` in interface `ConnectionProperties`

    - #### setTcpSndBuf

          public void setTcpSndBuf(int bufSize)
                            throws java.sql.SQLException

      Specified by:
        `setTcpSndBuf` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getTcpTrafficClass

          public int getTcpTrafficClass()

      Specified by:
        `getTcpTrafficClass` in interface `ConnectionProperties`

    - #### setTcpTrafficClass

          public void setTcpTrafficClass(int classFlags)
                                  throws java.sql.SQLException

      Specified by:
        `setTcpTrafficClass` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getUseNanosForElapsedTime

          public boolean getUseNanosForElapsedTime()

      Specified by:
        `getUseNanosForElapsedTime` in interface `ConnectionProperties`

    - #### setUseNanosForElapsedTime

          public void setUseNanosForElapsedTime(boolean flag)

      Specified by:
        `setUseNanosForElapsedTime` in interface `ConnectionProperties`

    - #### getSlowQueryThresholdNanos

          public long getSlowQueryThresholdNanos()

      Specified by:
        `getSlowQueryThresholdNanos` in interface `ConnectionProperties`

    - #### setSlowQueryThresholdNanos

          public void setSlowQueryThresholdNanos(long nanos)
                                          throws java.sql.SQLException

      Specified by:
        `setSlowQueryThresholdNanos` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getStatementInterceptors

          public java.lang.String getStatementInterceptors()

      Specified by:
        `getStatementInterceptors` in interface `ConnectionProperties`

    - #### setStatementInterceptors

          public void setStatementInterceptors(java.lang.String value)

      Specified by:
        `setStatementInterceptors` in interface `ConnectionProperties`

    - #### getUseDirectRowUnpack

          public boolean getUseDirectRowUnpack()

      Specified by:
        `getUseDirectRowUnpack` in interface `ConnectionProperties`

    - #### setUseDirectRowUnpack

          public void setUseDirectRowUnpack(boolean flag)

      Specified by:
        `setUseDirectRowUnpack` in interface `ConnectionProperties`

    - #### getLargeRowSizeThreshold

          public java.lang.String getLargeRowSizeThreshold()

      Specified by:
        `getLargeRowSizeThreshold` in interface `ConnectionProperties`

    - #### setLargeRowSizeThreshold

          public void setLargeRowSizeThreshold(java.lang.String value)
                                        throws java.sql.SQLException

      Specified by:
        `setLargeRowSizeThreshold` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getUseBlobToStoreUTF8OutsideBMP

          public boolean getUseBlobToStoreUTF8OutsideBMP()

      Specified by:
        `getUseBlobToStoreUTF8OutsideBMP` in interface `ConnectionProperties`

    - #### setUseBlobToStoreUTF8OutsideBMP

          public void setUseBlobToStoreUTF8OutsideBMP(boolean flag)

      Specified by:
        `setUseBlobToStoreUTF8OutsideBMP` in interface `ConnectionProperties`

    - #### getUtf8OutsideBmpExcludedColumnNamePattern

          public java.lang.String getUtf8OutsideBmpExcludedColumnNamePattern()

      Specified by:
        `getUtf8OutsideBmpExcludedColumnNamePattern` in interface `ConnectionProperties`

    - #### setUtf8OutsideBmpExcludedColumnNamePattern

          public void setUtf8OutsideBmpExcludedColumnNamePattern(java.lang.String regexPattern)

      Specified by:
        `setUtf8OutsideBmpExcludedColumnNamePattern` in interface `ConnectionProperties`

    - #### getUtf8OutsideBmpIncludedColumnNamePattern

          public java.lang.String getUtf8OutsideBmpIncludedColumnNamePattern()

      Specified by:
        `getUtf8OutsideBmpIncludedColumnNamePattern` in interface `ConnectionProperties`

    - #### setUtf8OutsideBmpIncludedColumnNamePattern

          public void setUtf8OutsideBmpIncludedColumnNamePattern(java.lang.String regexPattern)

      Specified by:
        `setUtf8OutsideBmpIncludedColumnNamePattern` in interface `ConnectionProperties`

    - #### getIncludeInnodbStatusInDeadlockExceptions

          public boolean getIncludeInnodbStatusInDeadlockExceptions()

      Specified by:
        `getIncludeInnodbStatusInDeadlockExceptions` in interface `ConnectionProperties`

    - #### setIncludeInnodbStatusInDeadlockExceptions

          public void setIncludeInnodbStatusInDeadlockExceptions(boolean flag)

      Specified by:
        `setIncludeInnodbStatusInDeadlockExceptions` in interface `ConnectionProperties`

    - #### getBlobsAreStrings

          public boolean getBlobsAreStrings()

      Specified by:
        `getBlobsAreStrings` in interface `ConnectionProperties`

    - #### setBlobsAreStrings

          public void setBlobsAreStrings(boolean flag)

      Specified by:
        `setBlobsAreStrings` in interface `ConnectionProperties`

    - #### getFunctionsNeverReturnBlobs

          public boolean getFunctionsNeverReturnBlobs()

      Specified by:
        `getFunctionsNeverReturnBlobs` in interface `ConnectionProperties`

    - #### setFunctionsNeverReturnBlobs

          public void setFunctionsNeverReturnBlobs(boolean flag)

      Specified by:
        `setFunctionsNeverReturnBlobs` in interface `ConnectionProperties`

    - #### getAutoSlowLog

          public boolean getAutoSlowLog()

      Specified by:
        `getAutoSlowLog` in interface `ConnectionProperties`

    - #### setAutoSlowLog

          public void setAutoSlowLog(boolean flag)

      Specified by:
        `setAutoSlowLog` in interface `ConnectionProperties`

    - #### getConnectionLifecycleInterceptors

          public java.lang.String getConnectionLifecycleInterceptors()

      Specified by:
        `getConnectionLifecycleInterceptors` in interface `ConnectionProperties`

    - #### setConnectionLifecycleInterceptors

          public void setConnectionLifecycleInterceptors(java.lang.String interceptors)

      Specified by:
        `setConnectionLifecycleInterceptors` in interface `ConnectionProperties`

    - #### getProfilerEventHandler

          public java.lang.String getProfilerEventHandler()

      Specified by:
        `getProfilerEventHandler` in interface `ConnectionProperties`

    - #### setProfilerEventHandler

          public void setProfilerEventHandler(java.lang.String handler)

      Specified by:
        `setProfilerEventHandler` in interface `ConnectionProperties`

    - #### getVerifyServerCertificate

          public boolean getVerifyServerCertificate()

      Specified by:
        `getVerifyServerCertificate` in interface `ConnectionProperties`

    - #### setVerifyServerCertificate

          public void setVerifyServerCertificate(boolean flag)

      Specified by:
        `setVerifyServerCertificate` in interface `ConnectionProperties`

    - #### getUseLegacyDatetimeCode

          public boolean getUseLegacyDatetimeCode()

      Specified by:
        `getUseLegacyDatetimeCode` in interface `ConnectionProperties`

    - #### setUseLegacyDatetimeCode

          public void setUseLegacyDatetimeCode(boolean flag)

      Specified by:
        `setUseLegacyDatetimeCode` in interface `ConnectionProperties`

    - #### getSendFractionalSeconds

          public boolean getSendFractionalSeconds()

      Specified by:
        `getSendFractionalSeconds` in interface `ConnectionProperties`

    - #### setSendFractionalSeconds

          public void setSendFractionalSeconds(boolean flag)

      Specified by:
        `setSendFractionalSeconds` in interface `ConnectionProperties`

    - #### getSelfDestructOnPingSecondsLifetime

          public int getSelfDestructOnPingSecondsLifetime()

      Specified by:
        `getSelfDestructOnPingSecondsLifetime` in interface `ConnectionProperties`

    - #### setSelfDestructOnPingSecondsLifetime

          public void setSelfDestructOnPingSecondsLifetime(int seconds)
                                                    throws java.sql.SQLException

      Specified by:
        `setSelfDestructOnPingSecondsLifetime` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getSelfDestructOnPingMaxOperations

          public int getSelfDestructOnPingMaxOperations()

      Specified by:
        `getSelfDestructOnPingMaxOperations` in interface `ConnectionProperties`

    - #### setSelfDestructOnPingMaxOperations

          public void setSelfDestructOnPingMaxOperations(int maxOperations)
                                                  throws java.sql.SQLException

      Specified by:
        `setSelfDestructOnPingMaxOperations` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getUseColumnNamesInFindColumn

          public boolean getUseColumnNamesInFindColumn()

      Specified by:
        `getUseColumnNamesInFindColumn` in interface `ConnectionProperties`

    - #### setUseColumnNamesInFindColumn

          public void setUseColumnNamesInFindColumn(boolean flag)

      Specified by:
        `setUseColumnNamesInFindColumn` in interface `ConnectionProperties`

    - #### getUseLocalTransactionState

          public boolean getUseLocalTransactionState()

      Specified by:
        `getUseLocalTransactionState` in interface `ConnectionProperties`

    - #### setUseLocalTransactionState

          public void setUseLocalTransactionState(boolean flag)

      Specified by:
        `setUseLocalTransactionState` in interface `ConnectionProperties`

    - #### getCompensateOnDuplicateKeyUpdateCounts

          public boolean getCompensateOnDuplicateKeyUpdateCounts()

      Specified by:
        `getCompensateOnDuplicateKeyUpdateCounts` in interface `ConnectionProperties`

    - #### setCompensateOnDuplicateKeyUpdateCounts

          public void setCompensateOnDuplicateKeyUpdateCounts(boolean flag)

      Specified by:
        `setCompensateOnDuplicateKeyUpdateCounts` in interface `ConnectionProperties`

    - #### getLoadBalanceBlacklistTimeout

          public int getLoadBalanceBlacklistTimeout()

      Specified by:
        `getLoadBalanceBlacklistTimeout` in interface `ConnectionProperties`

    - #### setLoadBalanceBlacklistTimeout

          public void setLoadBalanceBlacklistTimeout(int loadBalanceBlacklistTimeout)
                                              throws java.sql.SQLException

      Specified by:
        `setLoadBalanceBlacklistTimeout` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getLoadBalancePingTimeout

          public int getLoadBalancePingTimeout()

      Specified by:
        `getLoadBalancePingTimeout` in interface `ConnectionProperties`

    - #### setLoadBalancePingTimeout

          public void setLoadBalancePingTimeout(int loadBalancePingTimeout)
                                         throws java.sql.SQLException

      Specified by:
        `setLoadBalancePingTimeout` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### setRetriesAllDown

          public void setRetriesAllDown(int retriesAllDown)
                                 throws java.sql.SQLException

      Specified by:
        `setRetriesAllDown` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getRetriesAllDown

          public int getRetriesAllDown()

      Specified by:
        `getRetriesAllDown` in interface `ConnectionProperties`

    - #### setUseAffectedRows

          public void setUseAffectedRows(boolean flag)

      Specified by:
        `setUseAffectedRows` in interface `ConnectionProperties`

    - #### getUseAffectedRows

          public boolean getUseAffectedRows()

      Specified by:
        `getUseAffectedRows` in interface `ConnectionProperties`

    - #### setPasswordCharacterEncoding

          public void setPasswordCharacterEncoding(java.lang.String characterSet)

      Specified by:
        `setPasswordCharacterEncoding` in interface `ConnectionProperties`

    - #### getPasswordCharacterEncoding

          public java.lang.String getPasswordCharacterEncoding()

      Specified by:
        `getPasswordCharacterEncoding` in interface `ConnectionProperties`

    - #### setExceptionInterceptors

          public void setExceptionInterceptors(java.lang.String exceptionInterceptors)

      Specified by:
        `setExceptionInterceptors` in interface `ConnectionProperties`

    - #### getExceptionInterceptors

          public java.lang.String getExceptionInterceptors()

      Specified by:
        `getExceptionInterceptors` in interface `ConnectionProperties`

    - #### setMaxAllowedPacket

          public void setMaxAllowedPacket(int max)
                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getMaxAllowedPacket

          public int getMaxAllowedPacket()

      Specified by:
        `getMaxAllowedPacket` in interface `ConnectionProperties`

    - #### getQueryTimeoutKillsConnection

          public boolean getQueryTimeoutKillsConnection()

      Specified by:
        `getQueryTimeoutKillsConnection` in interface `ConnectionProperties`

    - #### setQueryTimeoutKillsConnection

          public void setQueryTimeoutKillsConnection(boolean queryTimeoutKillsConnection)

      Specified by:
        `setQueryTimeoutKillsConnection` in interface `ConnectionProperties`

    - #### getLoadBalanceValidateConnectionOnSwapServer

          public boolean getLoadBalanceValidateConnectionOnSwapServer()

      Specified by:
        `getLoadBalanceValidateConnectionOnSwapServer` in interface `ConnectionProperties`

    - #### setLoadBalanceValidateConnectionOnSwapServer

          public void setLoadBalanceValidateConnectionOnSwapServer(boolean loadBalanceValidateConnectionOnSwapServer)

      Specified by:
        `setLoadBalanceValidateConnectionOnSwapServer` in interface `ConnectionProperties`

    - #### getLoadBalanceConnectionGroup

          public java.lang.String getLoadBalanceConnectionGroup()

      Specified by:
        `getLoadBalanceConnectionGroup` in interface `ConnectionProperties`

    - #### setLoadBalanceConnectionGroup

          public void setLoadBalanceConnectionGroup(java.lang.String loadBalanceConnectionGroup)

      Specified by:
        `setLoadBalanceConnectionGroup` in interface `ConnectionProperties`

    - #### getLoadBalanceExceptionChecker

          public java.lang.String getLoadBalanceExceptionChecker()

      Specified by:
        `getLoadBalanceExceptionChecker` in interface `ConnectionProperties`

    - #### setLoadBalanceExceptionChecker

          public void setLoadBalanceExceptionChecker(java.lang.String loadBalanceExceptionChecker)

      Specified by:
        `setLoadBalanceExceptionChecker` in interface `ConnectionProperties`

    - #### getLoadBalanceSQLStateFailover

          public java.lang.String getLoadBalanceSQLStateFailover()

      Specified by:
        `getLoadBalanceSQLStateFailover` in interface `ConnectionProperties`

    - #### setLoadBalanceSQLStateFailover

          public void setLoadBalanceSQLStateFailover(java.lang.String loadBalanceSQLStateFailover)

      Specified by:
        `setLoadBalanceSQLStateFailover` in interface `ConnectionProperties`

    - #### getLoadBalanceSQLExceptionSubclassFailover

          public java.lang.String getLoadBalanceSQLExceptionSubclassFailover()

      Specified by:
        `getLoadBalanceSQLExceptionSubclassFailover` in interface `ConnectionProperties`

    - #### setLoadBalanceSQLExceptionSubclassFailover

          public void setLoadBalanceSQLExceptionSubclassFailover(java.lang.String loadBalanceSQLExceptionSubclassFailover)

      Specified by:
        `setLoadBalanceSQLExceptionSubclassFailover` in interface `ConnectionProperties`

    - #### getLoadBalanceEnableJMX

          public boolean getLoadBalanceEnableJMX()

      Specified by:
        `getLoadBalanceEnableJMX` in interface `ConnectionProperties`

    - #### setLoadBalanceEnableJMX

          public void setLoadBalanceEnableJMX(boolean loadBalanceEnableJMX)

      Specified by:
        `setLoadBalanceEnableJMX` in interface `ConnectionProperties`

    - #### setLoadBalanceAutoCommitStatementThreshold

          public void setLoadBalanceAutoCommitStatementThreshold(int loadBalanceAutoCommitStatementThreshold)
                                                          throws java.sql.SQLException

      Specified by:
        `setLoadBalanceAutoCommitStatementThreshold` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getLoadBalanceAutoCommitStatementThreshold

          public int getLoadBalanceAutoCommitStatementThreshold()

      Specified by:
        `getLoadBalanceAutoCommitStatementThreshold` in interface `ConnectionProperties`

    - #### setLoadBalanceAutoCommitStatementRegex

          public void setLoadBalanceAutoCommitStatementRegex(java.lang.String loadBalanceAutoCommitStatementRegex)

      Specified by:
        `setLoadBalanceAutoCommitStatementRegex` in interface `ConnectionProperties`

    - #### getLoadBalanceAutoCommitStatementRegex

          public java.lang.String getLoadBalanceAutoCommitStatementRegex()

      Specified by:
        `getLoadBalanceAutoCommitStatementRegex` in interface `ConnectionProperties`

    - #### setIncludeThreadDumpInDeadlockExceptions

          public void setIncludeThreadDumpInDeadlockExceptions(boolean flag)

      Specified by:
        `setIncludeThreadDumpInDeadlockExceptions` in interface `ConnectionProperties`

    - #### getIncludeThreadDumpInDeadlockExceptions

          public boolean getIncludeThreadDumpInDeadlockExceptions()

      Specified by:
        `getIncludeThreadDumpInDeadlockExceptions` in interface `ConnectionProperties`

    - #### setIncludeThreadNamesAsStatementComment

          public void setIncludeThreadNamesAsStatementComment(boolean flag)

      Specified by:
        `setIncludeThreadNamesAsStatementComment` in interface `ConnectionProperties`

    - #### getIncludeThreadNamesAsStatementComment

          public boolean getIncludeThreadNamesAsStatementComment()

      Specified by:
        `getIncludeThreadNamesAsStatementComment` in interface `ConnectionProperties`

    - #### setAuthenticationPlugins

          public void setAuthenticationPlugins(java.lang.String authenticationPlugins)

      Specified by:
        `setAuthenticationPlugins` in interface `ConnectionProperties`

    - #### getAuthenticationPlugins

          public java.lang.String getAuthenticationPlugins()

      Specified by:
        `getAuthenticationPlugins` in interface `ConnectionProperties`

    - #### setDisabledAuthenticationPlugins

          public void setDisabledAuthenticationPlugins(java.lang.String disabledAuthenticationPlugins)

      Specified by:
        `setDisabledAuthenticationPlugins` in interface `ConnectionProperties`

    - #### getDisabledAuthenticationPlugins

          public java.lang.String getDisabledAuthenticationPlugins()

      Specified by:
        `getDisabledAuthenticationPlugins` in interface `ConnectionProperties`

    - #### setDefaultAuthenticationPlugin

          public void setDefaultAuthenticationPlugin(java.lang.String defaultAuthenticationPlugin)

      Specified by:
        `setDefaultAuthenticationPlugin` in interface `ConnectionProperties`

    - #### getDefaultAuthenticationPlugin

          public java.lang.String getDefaultAuthenticationPlugin()

      Specified by:
        `getDefaultAuthenticationPlugin` in interface `ConnectionProperties`

    - #### setParseInfoCacheFactory

          public void setParseInfoCacheFactory(java.lang.String factoryClassname)

      Specified by:
        `setParseInfoCacheFactory` in interface `ConnectionProperties`

    - #### getParseInfoCacheFactory

          public java.lang.String getParseInfoCacheFactory()

      Specified by:
        `getParseInfoCacheFactory` in interface `ConnectionProperties`

    - #### setServerConfigCacheFactory

          public void setServerConfigCacheFactory(java.lang.String factoryClassname)

      Specified by:
        `setServerConfigCacheFactory` in interface `ConnectionProperties`

    - #### getServerConfigCacheFactory

          public java.lang.String getServerConfigCacheFactory()

      Specified by:
        `getServerConfigCacheFactory` in interface `ConnectionProperties`

    - #### setDisconnectOnExpiredPasswords

          public void setDisconnectOnExpiredPasswords(boolean disconnectOnExpiredPasswords)

      Specified by:
        `setDisconnectOnExpiredPasswords` in interface `ConnectionProperties`

    - #### getDisconnectOnExpiredPasswords

          public boolean getDisconnectOnExpiredPasswords()

      Specified by:
        `getDisconnectOnExpiredPasswords` in interface `ConnectionProperties`

    - #### getAllowMasterDownConnections

          public boolean getAllowMasterDownConnections()

      Specified by:
        `getAllowMasterDownConnections` in interface `ConnectionProperties`

    - #### setAllowMasterDownConnections

          public void setAllowMasterDownConnections(boolean connectIfMasterDown)

      Specified by:
        `setAllowMasterDownConnections` in interface `ConnectionProperties`

    - #### getAllowSlaveDownConnections

          public boolean getAllowSlaveDownConnections()

      Specified by:
        `getAllowSlaveDownConnections` in interface `ConnectionProperties`

    - #### setAllowSlaveDownConnections

          public void setAllowSlaveDownConnections(boolean connectIfSlaveDown)

      Specified by:
        `setAllowSlaveDownConnections` in interface `ConnectionProperties`

    - #### getReadFromMasterWhenNoSlaves

          public boolean getReadFromMasterWhenNoSlaves()

      Specified by:
        `getReadFromMasterWhenNoSlaves` in interface `ConnectionProperties`

    - #### setReadFromMasterWhenNoSlaves

          public void setReadFromMasterWhenNoSlaves(boolean useMasterIfSlavesDown)

      Specified by:
        `setReadFromMasterWhenNoSlaves` in interface `ConnectionProperties`

    - #### getReplicationEnableJMX

          public boolean getReplicationEnableJMX()

      Specified by:
        `getReplicationEnableJMX` in interface `ConnectionProperties`

    - #### setReplicationEnableJMX

          public void setReplicationEnableJMX(boolean replicationEnableJMX)

      Specified by:
        `setReplicationEnableJMX` in interface `ConnectionProperties`

    - #### setGetProceduresReturnsFunctions

          public void setGetProceduresReturnsFunctions(boolean getProcedureReturnsFunctions)

      Specified by:
        `setGetProceduresReturnsFunctions` in interface `ConnectionProperties`

    - #### getGetProceduresReturnsFunctions

          public boolean getGetProceduresReturnsFunctions()

      Specified by:
        `getGetProceduresReturnsFunctions` in interface `ConnectionProperties`

    - #### setDetectCustomCollations

          public void setDetectCustomCollations(boolean detectCustomCollations)

      Specified by:
        `setDetectCustomCollations` in interface `ConnectionProperties`

    - #### getDetectCustomCollations

          public boolean getDetectCustomCollations()

      Specified by:
        `getDetectCustomCollations` in interface `ConnectionProperties`

    - #### getServerRSAPublicKeyFile

          public java.lang.String getServerRSAPublicKeyFile()

      Specified by:
        `getServerRSAPublicKeyFile` in interface `ConnectionProperties`

    - #### setServerRSAPublicKeyFile

          public void setServerRSAPublicKeyFile(java.lang.String serverRSAPublicKeyFile)
                                         throws java.sql.SQLException

      Specified by:
        `setServerRSAPublicKeyFile` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getAllowPublicKeyRetrieval

          public boolean getAllowPublicKeyRetrieval()

      Specified by:
        `getAllowPublicKeyRetrieval` in interface `ConnectionProperties`

    - #### setAllowPublicKeyRetrieval

          public void setAllowPublicKeyRetrieval(boolean allowPublicKeyRetrieval)
                                          throws java.sql.SQLException

      Specified by:
        `setAllowPublicKeyRetrieval` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### setDontCheckOnDuplicateKeyUpdateInSQL

          public void setDontCheckOnDuplicateKeyUpdateInSQL(boolean dontCheckOnDuplicateKeyUpdateInSQL)

      Specified by:
        `setDontCheckOnDuplicateKeyUpdateInSQL` in interface `ConnectionProperties`

    - #### getDontCheckOnDuplicateKeyUpdateInSQL

          public boolean getDontCheckOnDuplicateKeyUpdateInSQL()

      Specified by:
        `getDontCheckOnDuplicateKeyUpdateInSQL` in interface `ConnectionProperties`

    - #### setSocksProxyHost

          public void setSocksProxyHost(java.lang.String socksProxyHost)

      Specified by:
        `setSocksProxyHost` in interface `ConnectionProperties`

    - #### getSocksProxyHost

          public java.lang.String getSocksProxyHost()

      Specified by:
        `getSocksProxyHost` in interface `ConnectionProperties`

    - #### setSocksProxyPort

          public void setSocksProxyPort(int socksProxyPort)
                                 throws java.sql.SQLException

      Specified by:
        `setSocksProxyPort` in interface `ConnectionProperties`
      Throws:
        `java.sql.SQLException`

    - #### getSocksProxyPort

          public int getSocksProxyPort()

      Specified by:
        `getSocksProxyPort` in interface `ConnectionProperties`

    - #### getReadOnlyPropagatesToServer

          public boolean getReadOnlyPropagatesToServer()

      Specified by:
        `getReadOnlyPropagatesToServer` in interface `ConnectionProperties`

    - #### setReadOnlyPropagatesToServer

          public void setReadOnlyPropagatesToServer(boolean flag)

      Specified by:
        `setReadOnlyPropagatesToServer` in interface `ConnectionProperties`

    - #### getEnabledSSLCipherSuites

          public java.lang.String getEnabledSSLCipherSuites()

      Specified by:
        `getEnabledSSLCipherSuites` in interface `ConnectionProperties`

    - #### setEnabledSSLCipherSuites

          public void setEnabledSSLCipherSuites(java.lang.String cipherSuites)

      Specified by:
        `setEnabledSSLCipherSuites` in interface `ConnectionProperties`

    - #### getEnableEscapeProcessing

          public boolean getEnableEscapeProcessing()

      Specified by:
        `getEnableEscapeProcessing` in interface `ConnectionProperties`

    - #### setEnableEscapeProcessing

          public void setEnableEscapeProcessing(boolean flag)

      Specified by:
        `setEnableEscapeProcessing` in interface `ConnectionProperties`